<?php 
/**********************************************************************
*  actions/registration.php
*  06-02-12  15:42:03
**********************************************************************/


/***********************************actions***********************************/

	//   2012-01-29 14:48:38
    /*
          , 
    */
    //  
  // user is not logged in or logged in -- nomatter

  // is user trying to confirm email, login or register?
  if ($_REQUEST["action"] == "login")
  {
    // if user name already exists, check password
    if ($existingUser = $this->LoadUser($_POST["name"]))
    {
      $error = $this->GetResourceValue("RegistrationNameOwned");
    }

    // otherwise, create new account
    else if ($this->GetConfigValue("allow_registration") || $this->IsAdmin())
    {
      $name = trim(htmlspecialchars($_POST["name"]));
      $email = trim(htmlspecialchars($_POST["email"]));
      $password = $_POST["password"];
      $confpassword = $_POST["confpassword"];
      $vkid = (int)$_POST["VkID"];
      if (!$vkid) $vkid = "-1";
      $showname = trim(htmlspecialchars($_POST["showname"]));

      // check if name is WikiName style

      if (!$this->IsWikiName($name)) $error = $this->GetResourceValue("MustBeWikiName");
      else if($this->IsReservedName($name)) $error = $this->GetResourceValue("RegistrationNameReserved");
      else if(strlen($name) < 5) $error = $this->GetResourceValue("RegistrationNameTooShort");
      else if (!$this->IsLegalName($name)) $error = $this->GetErrorLegalName();
      else if (!$email) $error = $this->GetResourceValue("SpecifyEmail");
      else if (!preg_match("/^.+?\@.+$/", $email)) $error = $this->GetResourceValue("NotAEmail");
      else if ($confpassword != $password) $error = $this->GetResourceValue("PasswordsDidntMatch");
      else if (preg_match("/ /", $password)) $error = $this->GetResourceValue("SpacesArentAllowed");
      else if (strlen($password) < 5) $error = $this->GetResourceValue("PasswordTooShort");
      else if (!$this->IsAdmin() && $this->vfrmProcess("kcaptcha", "captcha") != "1") $error = $this->GetResourceValue("AntiSpamNumberIncorrect");
      else
      {

        $this->Query("insert into ".$this->config["user_table"]." set ".
          "lastvisit = now(), ".
          "name = '".quote($name)."', ".
          "email = '".quote($email)."', ".
          "showname = '".quote($showname)."', ".
          "vkid = '".quote($vkid)."', ".
          "password = md5('".quote($_POST["password"].$this->config["code0"])."')");

        if($this->srvIsInstalled('AdvOntology')) {
          $service = $this->srvFactory('AdvOntology');
          $service->addConcept("User",$name);

        }

        $resText =  $this->GetResourceValue("Mail.Registered");
        if(!$this->GetConfigValue("allow_registration") && $this->IsAdmin()) $resText = $this->GetResourceValue("Mail.RegisteredByAdmin");

        $subject = $this->GetResourceValue("Mail.Welcome").$this->GetConfigValue("wakka_name");
        $message = $this->GetResourceValue("MailHello"). $name.".<br /> <br /> ";
        $message.= str_replace('%1', $this->GetConfigValue("wakka_name"),
                   str_replace('%2', $name,
                   str_replace('%3', $this->Href().($this->config["rewrite_mode"] ? "?" : "&amp;")."confirm=".$confirm,
                   str_replace('%4', $_POST["password"],
                   str_replace('%5', $this->Href("", $this->GRV('YouArePanelPassword')),
                    $resText)))))."<br />  ";
        $message.= "<br />".$this->GetResourceValue("MailGoodbye")." ".$this->GetConfigValue("wakka_name");
        $this->SendMail($email, $subject, $message);

        // log in
        $this->SetUser($this->LoadUser($name));
        $this->LogUserIn($this->GetUser());

        // forward
        $this->context[++$this->current_context] = "";
        $this->Redirect($this->Href("","/Login"));
      }
    }
  }
//  else
  if (!$_REQUEST["confirm"])
  if ($this->GetConfigValue("allow_registration") || $this->IsAdmin())
  {
  print($this->FormOpen());
  ?>
  <input type="hidden" name="action" value="login" />
  <div class="inputtable">
  <table align="center">
    <col width="230" align="left"/> <col />
    <tr><th colspan="2"><?php echo $this->FormatResourceValue("RegistrationWelcome"); ?><br /> <br /></th></tr>
    <?php
    if ($error)
    {
      print("<tr><td colspan=\"2\" align=\"center\"><div class=\"error\">".$this->Format($error)."</div></td></tr>\n");
    }
    ?>
    <tr>
      <td class="title"><?php echo $this->FormatResourceValue("RegistrationName");?>:</td>
      <td><input name="name" size="30" value="<?php echo htmlspecialchars($name); ?>" /></td>
    </tr>
    <tr>
      <td class="title"><?php echo $this->GetResourceValue("RegistrationPassword");?>:</td>
      <td><input type="password" name="password" size="30" /></td>
    </tr>
    <tr>
      <td class="title"><?php echo $this->GetResourceValue("ConfirmPassword");?>:</td>
      <td><input type="password" name="confpassword" size="30" /></td>
    </tr>
    <tr>
      <td class="title"><?php echo $this->GetResourceValue("Email");?>:</td>
      <td><input name="email" size="30" value="<?php echo htmlspecialchars($email); ?>" /></td>
    </tr>
    <tr>
      <td class="title"><?php echo $this->GetResourceValue("VkID");?>:</td>
      <td><input type="password" name="vkid" size="30" /></td>
    </tr>
    <tr>
      <td class="title"><?php echo $this->GetResourceValue("ShowName");?>:</td>
      <td><input type="password" name="showname" size="30" /></td>
    </tr>
<?php if(!$this->IsAdmin()) { ?>
    <tr>
      <td class="title"><?php echo $this->GetResourceValue("PleaseEnterAntiSpamNumber");?>:</td>
      <td><?php echo $this->vfrmField('captcha','kcaptcha', ''); ?></td>
    </tr>
<?php } ?>
<?php if(!$this->GetConfigValue("allow_registration")) { ?>
    <tr>
      <td class="title"></td>
      <td><font color="green">( : e-mail    )</font></td>
    </tr>
<?php } ?>
    <tr>
      <td></td>
      <td>
          <input class="OkBtn" onmouseover='this.className="OkBtn_";'
                                 onmouseout ='this.className="OkBtn";'
                 type="submit" align="top" value="<?php echo $this->GetResourceValue("RegistrationButton"); ?>" /></td>
    </tr>
  </table>
  </div>
  <?php
  print($this->FormClose());
  }
  else
    echo($this->GetResourceValue("RegistrationClosed"));
?> 
