<?php
$lang = array(

/*
   Language Settings
*/
"Charset" => "windows-1251",
"LangISO" => "en",
"LangName" => "English",

/*
   Generic Page Text
*/
"Title" => "WackoWiki Very Quick Start Installation",
"Continue" => "Continue",
"Back" => "Back",

/*
   Language Selection Page
*/
"Lang" => "Language Configuration",
"LangDesc" => "Please choose a language for the installation process. This language will also be used as the default language of your WackoWiki Very Quick Start installation.",

/*
   System Requirements Page
*/
"version-check" => "System Requirements",
"PHPVersion" => "PHP Version",
"PHPDetected" => "Detected PHP",
"ModRewrite" => "Apache Rewrite Extension (Optional)",
"ModRewriteInstalled" => "Rewrite Extension (mod_rewrite) Installed?",
"Database" => "Database",
"Permissions" => "Permissions",
"ReadyToInstall" => "Ready to Install?",
"Installed" => "Your installed WackoWiki Very Quick Start is reporting itself as ",
"ToUpgrade" => "You are about to <strong>upgrade</strong> to WackoWiki Very Quick Start ",
"PleaseBackup" => "Please, backup your database, config file and all changed files such as those which have hacks and patches applied to them before starting upgrade process. This can save you from big headache.",
"Fresh" => "Since there is no existing WackoWiki Very Quick Start configuration file, this is probably a fresh WackoWiki Very Quick Start install. You are about to install WackoWiki Very Quick Start ",
"Requirements" => "Your server must meet the requirements listed below.",
"OK" => "OK",
"Problem" => "Problem",
"NotePermissions" => "This installer will try to write the configuration data to the file <tt>wakka.config.?.php</tt>, located in your WackoWiki Very Quick Start directory. In order for this to work, you must make sure the web server has write access to that file.  If you can't do this, you will have to edit the file manually.",
"ErrorPermissions" => "It would appear that the installer cannot automatically set the required file permissions for WackoWiki Very Quick Start to work correctly.  You will be prompted later in the installation process to manually configure the required file permissions on your server.",
"ErrorMinPHPVersion" => "The PHP Version must be greater than <strong>4.3.3</strong>, your server appears to be running an earlier version.  You must upgrade to a more recent PHP version for WackoWiki Very Quick Start to work correctly.",
"Ready" => "Congratulations, it appears that your server is capable of running WackoWiki Very Quick Start.  The next few pages will take you through the configuration process.",

/*
   Site Config Page
*/
"site-config" => "Site Configuration",
"Name" => "WackoWiki Very Quick Start Name",
"NameDesc" => "Please enter the name of your WackoWiki Very Quick Start site.",
"Home" => "Home Page",
"HomeDesc" => "Enter the name you would like your home page to have, this will be the default page users will see when they visit your site.",
"MultiLang" => "Multi Language Mode",
"MultiLangDesc" => "Multilanguage mode allows to have pages with different language settings within single installation. If this mode is enabled, installer will create initial pages for all languages available in distribution.",
"Admin" => "Admin Name",
"AdminDesc" => "Enter the admins username, this should be a WikiName.",
"Password" => "Admin Password",
"PasswordDesc" => "Choose a password for the admin with a minimum of 5 characters.",
"Password2" => "Repeat Password:",
"Mail" => "Admin Email Address",
"MailDesc" => "Enter the admins email address.",
"Base" => "Base URL",
"BaseDesc" => "Your WackoWiki Very Quick Start sites base URL.  Page names get appended to it, so if you are using mod_rewrite the address should end with a forward slash.",
"Rewrite" => "Rewrite Mode",
"RewriteDesc" => "Rewrite mode should be enabled if you are using WackoWiki Very Quick Start with URL rewriting.",
"Enabled" => "Enabled:",
"ErrorAdminName" => "The admin name must be a WikiName!",
"ErrorAdminEmail" => "You have entered an invalid email address!",
"ErrorAdminPasswordMismatch" => "The passwords do not match!.",
"ErrorAdminPasswordShort" => "The admin password is too short, the minimum length is 5 characters!",
"WarningRewriteMode" => "ATTENTION!\nYour base URL and rewrite-mode settings looks suspicious. Usually there is no ? mark in the base URL if rewrite-mode is set - but in your case there is one.\n\nTo continue with these settings click OK.\nTo return to the form and change your settings click CANCEL.\n\nIf you are about to proceed with these settings, please note that they COULD cause problems with your WackoWiki Very Quick Start installation.",
"ModRewriteStatusUnknown" => "The installer cannot verify that mod_rewrite is enabled, however this does not mean it is disabled",

/*
   Database Config Page
*/
"database-config" => "Database Configuration",
"DBDriverDesc" => "The database driver you want to use.  You must choose a legacy driver if you do not have PHP5.1 (or greater) and <a href=\"http://de2.php.net/pdo\" target=\"_blank\">PDO</a> installed.",
"DBDriver" => "Driver",
"DBHost" => "Host",
"DBHostDesc" => "The host your database server is running on. Usually \"localhost\" (ie, the same machine your WackoWiki Very Quick Start site is on).",
"DBPort" => "Port (Optional)",
"DBPortDesc" => "The port number your database server is accessable through, leave it blank to use the default port number.",
"DB" => "Database Name",
"DBDesc" => "The database WackoWiki Very Quick Start should use. This database needs to exist already once you continue!",
"DBUserDesc" => "Name of the user used to connect to your database.",
"DBUser" => "User Name",
"DBPasswordDesc" => "Password of the user used to connect to your database.",
"DBPassword" => "Password",
"PrefixDesc" => "Prefix of all tables used by WackoWiki Very Quick Start. This allows you to run multiple WackoWiki Very Quick Start installations using the same database by configuring them to use different table prefixes.",
"Prefix" => "Table Prefix",
"ErrorNoDbDriverDetected" => "No database driver has been detected.",

/*
   Database Installation Page
*/
"database-install" => "Database Installation",
"TestingConfiguration" => "Testing Configuration",
"TestConnectionString" => "Testing database connection settings",
"TestDatabaseExists" => "Checking if the database you specified exists",
"InstallingTables" => "Installing Tables",
"ErrorDBConnection" => "There was a problem with the database connection details you specified, please go back and check they are correct.",
"ErrorDBExists" => "The database you configured was not found. Remember, it needs to exist before you can install/upgrade WackoWiki Very Quick Start!",
"To" => "to",
"InstallingPagesBegin" => "Adding Default Pages",
"InstallingAdmin" => "Adding Admin User",
"ErrorInsertingPage" => "Error inserting %1 page",
"ErrorPageAlreadyExists" => "The %1 page already exists",
"Creating table..." => "Creating %1 table",
"ErrorAlreadyExists" => "The %1 already exists",
"Already exists?" => "Error creating %1 table, does it already exist?",
/*
   Write Config Page
*/
"write-config" => "Write Config File",
"Writing" => "Writing Configuration",
"Writing2" => "Writing Configuration File",
"RemovingWritePrivilege" => "Removing Write Privilege",
"InstallationComplete" => "That's all! You can now <a href=\"%1\">view your WackoWiki Very Quick Start site</a>.",
"SecurityConsiderations" => "Security Considerations",
"SecurityRisk" => "You are advised to remove write access to <tt>wakka.config.php</tt> again now that it's been written. Leaving the file writable can be a security risk!",
"RemoveSetupDirectory" => "You should delete the \"setup\" directory now that the installation process has been completed.",
"ErrorGivePrivileges" => "The configuration file %1 could not be written.",
"NextStep" => "In the next step, the installer will try to write the updated configuration file, <tt>wakka.config.?.php</tt>.",
"WrittenAt" => "written at ",
"CreatingSiteFolder" => "Creating site folder ",
"CopySiteFolder" => "Copy site folder  ",
"DontChange" => "do not change wakka_version manually!",
"TryAgain" => "Try Again",

);
?>