<?php
define("TRAN_DONTCHANGE", "0");
define("TRAN_LOWERCASE", "1");
define("TRAN_LOAD", "0");
define("TRAN_DONTLOAD", "1");
define("LOAD_NOCACHE", "0");
define("LOAD_CACHE", "1");
define("LOAD_ALL", "0");
define("LOAD_META", "1");
define("BM_AUTO", "0");
define("BM_USER", "1");
define("BM_DEFAULT", "2");
define("WAKKA_VERSION", "0.1.2");
define("WACKO_VERSION", "QS4 RC 2");
define("VQS_VERSION", "0");
define('VQS_ENGINE_NAME', "Wacko Wiki Very Quick Start");

// default configuration values
$wakkaDefaultConfig = array(
  "mysql_host"      => "localhost",
  "mysql_database"    => "wakka",
  "mysql_user"      => "wakka",
  "table_prefix"      => "wakka_",
  "cookie_prefix"      => "wakka_",
  "not_root_html_redirect" => "1",
  "db_layer" => "mysql",

  "root_page"       => "",
  "wakka_name"      => "   WackoWiki Very Quick Start",
  "base_url"        => "http://".$_SERVER["SERVER_NAME"].
                       ($_SERVER["SERVER_PORT"] != 80 ? ":".$_SERVER["SERVER_PORT"] : "").
                       preg_replace("/(\?|&)installAction=default/","",$_SERVER["REQUEST_URI"]).
                       (preg_match("/wakka\.php/", $_SERVER["REQUEST_URI"]) ? "?wakka=" : ""),
  "rewrite_mode"      => (preg_match("/wakka\.php/", $_SERVER["REQUEST_URI"]) ? "0" : "1"),

  "action_path"     => "actions",
  "handler_path"      => "handlers",
  "common_path"      => "",

  "language"     => "ru",
  "theme"      => "defaultqs",

  "header_action"     => "header",
  "footer_action"     => "footer",

  "show_datetime"     => "N",
  "show_spaces"     => "Y",

//  "site_bookmarks" => "PageIndex / RecentChanges / RecentlyCommented",
//  "default_bookmarks" => "PageIndex\nRecentChanges\nRecentlyCommented\n((Registration))",
  "default_typografica" => 1,
  "default_showdatetime" => 0,
  "paragrafica" => 1,

//  "referrers_purge_time"  => 0,
  "pages_purge_time"    => 0,

//  "hide_comments"     => 1,
  "debug"     => 0,
  "youarehere_text"     => "",
  "hide_locked"     => 1,
  "allow_rawhtml" => 1,
  "disable_safehtml" => 0,
  "urls_underscores" => 0,

  "allrecentchanges_page" => "",
  "allpageindex_page" => "",

/*  "default_writeact_acl" => "Admins\nAuthors\nSimple",
  "default_write_acl"   => "Admins\nAuthors",
  "default_read_acl"    => "*",
  "default_comment_acl" => "Admins",
*/
  "default_rename_redirect" => 1,
//  "owners_can_remove_comments" => 1,
  "allow_registration" => 0,

  "standart_handlers" => "claim|diff|edit|msword|print|remove|rename|revisions|revisions\.xml|show|settings",

  "edit_table_based" => 0,
  "revisions_hide_cancel" => 0,
//  "footer_comments" => 1,
//  "footer_files" => 0,

  "disable_tikilinks" => 0,
  "remove_onlyadmins" => 0,

  "upload"             => "1",
  "upload_images_only" => 0,
  "upload_max_size"    => 10000,
  "upload_max_per_user" => 2048,
  "upload_path"           => "sites/".$crossSiteName."/files",
  "upload_path_per_page"  => "sites/".$crossSiteName."/files/perpage",
  "upload_banned_exts" => "php|cgi|js|php|php3|php4|php5|pl|ssi|jsp|phtm|phtml|shtm|shtml|xhtm|xht|asp|aspx|htw|ida|idq|cer|cdx|asa|htr|idc|stm|printer|asax|ascx|ashx|asmx|axd|vdisco|rem|soap|config|cs|csproj|vb|vbproj|webinfo|licx|resx|resources",

  "outlook_workaround" => 1,
  "disable_autosubscribe" => 1,
  "allow_gethostbyaddr" => 1,

  "multilanguage" => 0,

  "cache" => 0,
  "cache_dir" => "sites/".$crossSiteName."/_cache/",
  "cache_ttl" => 600,

  "db_collation" => 0,
//  "rename_globalacl" => "Admins",
//  "use_app" => "",
  "allow_themes" => "all",
  "allowed_extensions" => "all",
  "disable_extmanager" => (file_exists('dist/postinstall.php')?"1":"0"),
  "ext_handlers" => "1",

  );
//$wakkaDefaultConfig['aliases'] = array('Admins' => "", 'Authors' => "", 'Simple' => "");

?>
