<?php 
/**********************************************************************
*  classes/kernel.php
*  06-02-12  15:42:00
**********************************************************************/

    class VQSkernel extends XcBase {

	var $queryLog = array();
 	var $includeLog = array();
 	var $includeFor = "";
 	var $_userhost = null;
 	var $checkuser = 0;
 	var $timer;
 	var $_utfmode = false;
 	var $_crossSiteName = "";
 	var $skipDbError = false;
 	var $lastDbError = false;
 	var $downloadXMLfilename;
    var $downloadXMLcontentType;
    var $downloadXMLfile;
    var $page;
	var $tag;
 	var $VERSION;
 	var $WVERSION;
 	var $context = array("");
 	var $current_context = 0;
 	var $pages_meta = "id, tag, time, owner, user, handler, supertag, lang, keywords, description";
 	var $optionSplitter = "\n";
 	var $valueSplitter  = "=";
 	var $format_safe = true;
 	var $unicode_entities = array();
 	var $toc_context = array();
 	var $search_engines = array("bot", "rambler", "yandex", "crawl", "search", "archiver", "slurp", "aport", "crawler", "google", "inktomi", "spider", );
 	var $_langlist = null;
 	var $languages = null;
 	var $resources = null;
 	var $pageCache = null;
 	var $_formatter_noautolinks = null;
 	var $post_wacko_action = null;
 	var $ext_services="";
  	var $ext_userinfo="";
  	var $ext_usinfoload=0;
  	var $do_time=0;
  	var $atheme;
  	var $aactions = array();
  	var $acontent = false;
  	var $extmodules = 0;
  	var $cntid = 0;
  	var $cntmax = 0;
  	var $cntarr = array();
 	var $paragrafica_styles = array(
   				 					"before"  =>
     								array( "_before"=>"", "_after"=>"", "before"=> "<span class='pmark'>[##]</span><br />", "after"=>"" ),
    								"after"  =>
     								array( "_before"=>"", "_after"=>"", "before"=> "", "after"=>" <span class='pmark'>[##]</span>" ),
    								"right" =>
     								array( "_before"=>"<div class='pright'><div class='p-'><span class='pmark'>[##]</span></div><div class='pbody-'>", "_after"=>"</div></div>", "before"=> "", "after"=>"" ),
    								"left" =>
     								array( "_before"=>"<div class='pleft'><div class='p-'><span class='pmark'>[##]</span></div><div class='pbody-'>", "_after"=>"</div></div>", "before"=> "", "after"=>"" ),
 	);
 	var $paragrafica_patches = array(
    								"before" => array("before"),
   									"after"  => array("after"),
    								"right"  => array("_before"),
    								"left"  => array("_before"),
 	);
 	var $NpjMacros = array( "" => "wiki", "" => "wacko", "" => "shwacko",
                         "" => "web", "" => "lance", "" => "kukutz", "" => "mendokusee",
                         "" => "iaremko", "" => "nikolai", "" => "aleksey", "" => "anatoly",
                         "" => "janvarev",
                       );



	function VQSkernel($config){
		global $crossSiteName;

   		$this->_crossSiteName = $crossSiteName;
   		$this->_crossSiteDir = 'sites/'.$crossSiteName.'/';
   		$this->_parent = null;
   		$this->_basepath = $this->srvFilePath();
   		$this->service_cache["DB"] = &$this;
   		$this->service_cache["Users"] = &$this;
   		$this->service_cache["Access"] = &$this;

   		$this->timer = $this->GetMicroTime();
   		$this->config = $config;
   		$this->dblink = connect($this->config["mysql_host"], $this->config["mysql_user"], $this->config["mysql_password"], $this->config["mysql_database"], $this->config["db_collation"]);

    	$res=$this->srvLoadAll();

    	//    
    	$cacheFileName = 'sites/'.$this->_crossSiteName.'/cache_events/_extlib.php';
    	if(!file_exists($cacheFileName)) {
       		$fd = fopen($cacheFileName,'w+');
       		fwrite($fd,"<?php\n");
       		fwrite($fd,"  // This is an autogenerated file for add all extension library files (see classes/qsminikernel.php::QSMiniKernel)\n");
       		foreach($res as $service) {
          		$servname = $service["name"];
          		if(is_dir('extensions/'.$servname.'/lib')) {
            		$dir_pointer=opendir('extensions/'.$servname.'/lib');
            		while ($res1 = readdir($dir_pointer)) {
              			if(strstr($res1,'.php'))
                			fwrite($fd,"  require_once('".'extensions/'.$servname.'/lib/'.$res1."');\n");

            		}
          		}

       		}
       		fwrite($fd,"?>");
       		fclose($fd);
    	}
    	include($cacheFileName);
    	include($this->getRootPath().'lib/SimpleXMLPHP4/usesimplexml.php');

        $cacheFileName = 'sites/'.$crossSiteName.'/cache_events/_handlers.php';
		if(!file_exists($cacheFileName)) {
			$fd = fopen($cacheFileName,'w+');
 			fwrite($fd,"<?php\n");
  			fwrite($fd,'  // This is an autogenerated file for add all extension handlers

    		   					$handlers = array(');
   			foreach($res as $service) {
    			$servname = $service["name"];
     			if(is_dir('extensions/'.$servname.'/handlers')) {
     		 		$dir_pointer=opendir('extensions/'.$servname.'/handlers');
      		      while ($res1 = readdir($dir_pointer))
            			if(strstr($res1,'.init.php')){
            				$hname = str_replace(".init.php", "", $res1);
              				fwrite($fd,"  '".$hname."' => 'extensions/".$servname."/handlers/".$hname."',\n");
              			}

        		}

    		}
    		fwrite($fd,");\n ?>");
    		fclose($fd);
		}
    	//   
    	$cacheFileName = 'sites/'.$this->_crossSiteName.'/cache_events/_extactionpath.php';
    	$cacheFileName1 = 'sites/'.$this->_crossSiteName.'/cache_events/_extaction_collection.php';
    	if(!(file_exists($cacheFileName) && file_exists($cacheFileName1))) {
       		$fd = fopen($cacheFileName,'w+');
       		$fd1 = fopen($cacheFileName1,'w+');
       		fwrite($fd,"<?php\n");
       		fwrite($fd,"  // This is an autogenerated file for finding all action path (see classes/qsminikernel.php::QSMiniKernel)\n");
       		fwrite($fd1,"<?php\n");
       		fwrite($fd1,"  // This is an autogenerated file for finding all action with their path (see classes/qsminikernel.php::QSMiniKernel)\n");
       		fwrite($fd1,'$this->_actionCollection = array('."\n");
       		foreach($res as $service) {
          		$servname = $service["name"];
          		if(is_dir('extensions/'.$servname.'/actions')) {
             		fwrite($fd,'  $this->config["action_path"] .= ":"."extensions/'.$servname.'/actions";'."\n");
             		$dir_pointer=opendir('extensions/'.$servname.'/actions');
             		while ($res1 = readdir($dir_pointer)) {
               			if(strstr($res1,'.php'))
                 			$actname = str_replace('.php','',$res1);
                 			fwrite($fd1,"  '".$actname."' => '".'extensions/'.$servname.'/actions'."', \n");
               			}

          		}
       		}
       		if(is_dir($this->_crossSiteDir.'/actions')) {
             	fwrite($fd,'  $this->config["action_path"] .= ":"."'.$this->_crossSiteDir.'/actions";'."\n");
             	$dir_pointer=opendir($this->_crossSiteDir.'/actions');
             	while ($res1 = readdir($dir_pointer))
               		if(strstr($res1,'.php')) {
                 		$actname = str_replace('.php','',$res1);
                 		fwrite($fd1,"  '".$actname."' => '".$this->_crossSiteDir.'/actions'."', \n");
               		}

          	}
       		$dir_pointer=opendir('actions');
       		while ($res1 = readdir($dir_pointer))
         		if(strstr($res1,'.php')) {
           			$actname = str_replace('.php','',$res1);
           			fwrite($fd1,"  '".$actname."' => '".'actions'."', \n");
         		}
       		fwrite($fd1,");\n");
       		fwrite($fd1,"?>");
       		fwrite($fd,"?>");
       		fclose($fd);
       		fclose($fd1);
    	}
    	include($cacheFileName);
	    include($cacheFileName1);

    	define("VQS_BASE", realpath(dirname(dirname(__FILE__))) . "/");
    	$this->config["base_urlm"] = str_replace('?wakka=','', $this->config["base_url"]);
    	$this->config["base_urlm"] = str_replace('wakka.php','', $this->config["base_urlm"]);

		//$this->WackoOld($config);
		//$this->XcBase(null);
		$this->_formatter_noautolinks = true;
    	$this->srvAllRunFile('init');

   		if($this->IsAjax()) {
        	require_once("js/JsHttpRequest/JsHttpRequest.php");
        	$JsHttpRequest = new JsHttpRequest("windows-1251");
        	GLOBAL $_RESULT;
        	$_RESULT["ajaxsysmsg"] = "";
        	$this->atheme = explode(";",$_REQUEST["divname"]);
        	$this->aactions = explode(";",$_REQUEST["actions"]);
        	if($this->atheme[0] == "content") {
            	unset($this->atheme[0]);
            	$this->acontent = true;
        	}
		foreach($this->atheme as $key => $val) {
          		if(!preg_match("/^\\w+$/",$val)) {
              		unset($this->atheme[$key]);
          		}
        	}

        	foreach($this->aactions as $key => $val) {
          		if(!preg_match("/^\\w+$/",$val)) {
              		unset($this->aactions[$key]);
          		}
        	}


    	} else {
      		$this->acontent = true;
    	}

    	$this->VERSION = WAKKA_VERSION;
   		$this->WVERSION = WACKO_VERSION;
	}



/***********************************kernel/sql***********************************/

	//   2012-01-12 19:12:04
    /*
     .     data   table.
    */
    // $table (string) -   ( )
    // $data (array) -   
	function insertInto($table,$data) {
   		return $this->Query('INSERT INTO '.$this->config["table_prefix"].$table.' SET '.$this->dbConstructSetArray($data));
 	}

	//   2012-01-12 19:14:01
    /*
      .
    */
    // $table (string) -   ( )
	function dbTableExists($table) {
   		global $xcKernelSkipDbError, $xcKernelLastDbError;

   		$xcKernelSkipDbError = true;
   		$this->Query('SHOW CREATE TABLE `'.$this->config["table_prefix"].$table.'`');
   		$res = !$xcKernelLastDbError;
   		$xcKernelLastDbError = false;
   		$xcKernelSkipDbError = false;
   		return $res;
 	}

	//   2012-01-12 19:05:35
    /*
        .        ( ).
    */
    // $query (string) -   
	function LoadAll($query){
   		$data = array();
   		if ($r = $this->Query($query)){
     		while ($row = fetch_assoc($r))
     			$data[] = $row;
     		free_result($r);
     		if($this->_utfmode) {
       			foreach($data as $key => $value) {
         		$data[$key] = $this->dbProcessToUtf($value);
       			}
     		}
   		}
   		return $data;
 	}

	//   2012-01-12 19:06:37
    /*
       ID.
    */
    //  
 	function dbGetLatestId() {
   		return mysql_insert_id($this->dblink);
 	}

	//   2012-01-12 19:07:48
    /*
     ,     ID.
    */
    // $tablename (string) -   ( )
    // $id (int) - id 
	function dbGetById($tablename,$id) {
   		return $this->LoadSingle("select * from ".$this->_db->config["table_prefix"].$tablename." where id='".quote($id)."'");
 	}

	//   2012-01-12 19:08:58
    /*
     ,  SQL-  SET.
    */
    // $data (array) -   
	function dbConstructSetArray($data) {
   		$sqlst = "";
   		foreach($data as $key => $value) {
     		if($this->symSome($key,'A-Za-z0-9_')) {
        		$sqlst .= ", `".$key."`='".quote($value)."'";
     		}
   		}
   		return substr($sqlst,1);
 	}

	//   2012-01-12 19:14:59
    /*
    !!?!!
    */
    // $mode (!!?!!) - !!?!!
    function dbSetUtfMode($mode) {
      	$this->_utfmode = $mode;
    }

	//   2012-01-12 19:15:51
    /*
          UTF-8.
    */
    // $data (array) -   
    function dbProcessToUtf($data) {
      	foreach($data as $key => $value)
        	$data[$key] = $this->CP1251toUTF8($value);

    	return $data;
    }

	//   2012-01-12 20:16:34
    /*
        .      ( ).
    */
    // $query (string) -   
	function LoadSingle($query) {
 		if ($data = $this->LoadAll($query))
 			return $data[0];
 	}

	//   2012-01-20 17:05:16
    /*
       .
    */
    // $query (string) -   
    // [$debug] (bool) -   
	function Query($query, $debug=0){
   		if ($debug) echo "((QUERY: $query))";
   		if($this->GetConfigValue("debug")>=2) $start = $this->GetMicroTime();

   		$result = query($query, $this->dblink);

   		if($this->GetConfigValue("debug")>=2){
     		$time = $this->GetMicroTime() - $start;
     		$this->queryLog[] = array(
       			"query"   => $query,
      			"time"    => $time);
     		$this->includeLog[] = array(
          		"query"   => $this->includeFor.'SQL: '.substr($query,0,60).'...',
          		"time"    => $time);
   		}
   		return $result;
 	}


/***********************************kernel/users***********************************/

	//   2012-01-10 00:44:51
    /*
             (   )
    */
    // $group (string) - 
    // $tag (string) - 
    // $privilege (string) - 
	function GetCachedUG($group, $tag, $privilege){
   		if (isset( $this->ugCache[$group.'#'.$tag."#".$privilege] ))
     		return ((int)$this->ugCache[$group.'#'.$tag."#".$privilege]);
   		else
     		return '';
 	}

	//   2012-01-10 00:46:23
    /*
        (     )
    */
    // $group (string) - 
    // $tag (string) - 
    // $privilege (string) - 
    // $ug (int) -  {1}   {0}
	function CacheUG($group, $tag, $privilege, $ug){
   		if (!$this->ugCache[$group.'#'.$tag."#".$privilege])
   			$this->ugCache[$group.'#'.$tag."#".$privilege] = ((int)$ug+1);
 	}

	//   2012-01-10 00:51:11
    /*
          .
    */
    // $group (string) - 
    // $tag (string) - 
    // $privilege (string) - 
    // $ac (int) -  {1}   {0}
    function CacheArUG($group, $tags, $privilege, $ac){
    	for ($k=0;$k<count($tags);$k++){
    		$this->CacheUG($group, $tags[$k], $privilege, $ac);
    	}
    }

	//   2012-01-10 00:52:04
    /*
      .
    */
    // $user (array) - 
    function GetUserGroup($user){
    	if (!$user) return "guest";
    	return $user['group'];
    }

	//   2012-01-10 00:53:07
    /*
    ,      
    */
    // $user (string) - 
    // $privilege (string) - 
    // [$tag] (string) - 
    function UserHasAccess($user, $privilege, $tag = ""){
   		return $this->GroupHasAccess($this->GetUserGroup($user), $privilege, $tag);
    }

	//   2012-01-10 00:54:20
    /*
    ,       
    */
    // $privilege (string) - 
    // [$tag] (string) - 
    function ThisUserHasAccess($privilege, $tag = ""){
    	$user = $this->GetUser();
    	return $this->GroupHasAccess($this->GetUserGroup($user), $privilege, $tag);
    }

	//   2012-01-10 00:56:04
    /*
        
    */
    //  
    function GetAllRules(){
    	return $this->LoadAll("select * from  `".$kernel->config["mysql_database"]."`.`".$kernel->config["table_prefix"]."groups`");
    }

	//   2012-01-10 00:58:28
    /*
      -  &quot;1/2/3&quot;  :
    [0] = &quot;1/2/3&quot;
    [1] = &quot;1/2/&quot;
    [2] = &quot;1/&quot;
    !!   GroupHasAccess!!
    */
    // $tag (string) - 
    function GetTagsFromTag($tag){
    	$supertag = $this->NpjTranslit($tag);
    	$tags = explode("/", $supertag);

        if ($tag[strlen($tag)-1]=="/"){
        	$tags[count($tags)-1] .= "/";
        }
        for ($i=0;$i<(count($tags)-1);$i++){
        	$tags[$i] .= "/";
        }
        for ($i=0;$i<count($tags);$i++){
        	$ttags[$i] = implode("", array_slice($tags, 0, $i+1));
        }
    	$ttags = array_reverse($ttags);
        return $ttags;
    }

	//   2012-02-04 22:58:38
    /*
       .
    */
    // $info (array) -     
 	function EditUser($info){
 		$this->Query('UPDATE '.$this->config["user_table"].' SET '.$this->dbConstructSetArray($info).' WHERE `id` = '.$info['id']);
 	}

	//   2012-02-01 14:17:02
    /*
       .
    */
    // $tag (string) - 
    // $user (string) -  
 	function SetPageOwner($tag, $user){
   		if (!$this->LoadUser($user))
   			return;
   		$this->sql->Query("update ".$this->config["table_prefix"]."pages set owner = '".quote($user)."' where tag = '".quote($tag)."' limit 1");
 	}

	//   2012-02-04 23:09:13
    /*
       id (   )
    */
    // $id (int) - id   
 	function DelUserById($id){
 		$user = $this->LoadSingle("SELECT `group` FROM ".$this->config["user_table"]." where `id` = '".quote($id)."'");
 		if ($user['group']!="admin"){
 			$this->Query("delete from ".$this->config["user_table"]." where id = '".quote($id)."' ");
 			return "!";
 		}else{
 			return "  ";
 		}
 	}

	//   2012-01-12 19:18:00
    /*
         
    */
    // $tag (string) - 
    function GetSupertag($tag){
    	$supertag = $this->NpjTranslit($tag);
        if ($tag[strlen($tag)-1]=="/"){
        	$supertag .= "/";
        }
        return $supertag;
    }

	//   2012-01-12 19:20:51
    /*
     true,     .
    */
    //  
	function IsAdmin(){
  		return ($this->GetUserGroup($this->GetUser())=="admin");
 	}

	//   2012-01-12 19:23:24
    /*
      .
    */
    // $username (string) -  
    // $subject (string) -  
    // $message (text) -  
 	function SendMailToUser($username,$subject, $message) {
   		$user = $this->LoadSingle("SELECT * FROM ".$this->config["table_prefix"]."users WHERE name='".quote($username)."'");
   		if($user["email"])
      		$this->SendMail($user["email"], $subject, $message);
 	}

	//   2012-01-12 19:25:22
    /*
                  .
    */
    // $name (string) -  
    // [$password] (string) - md5  
	function LoadUser($name, $password = 0){
   		return $this->LoadSingle("select * from ".$this->config["user_table"]." where name = '".
           quote($name)."' ".($password === 0 ? "" : "and password = '".quote($password)."'")." limit 1");
   	}

	//   2012-01-12 19:25:59
    /*
        .
    */
    //  
	function LoadUsers() {
 		return $this->LoadAll("select * from ".$this->config["user_table"]." order by binary name");
 	}

	//   2012-01-12 19:27:16
    /*
       ,      ip   .
    */
    //  
	function GetUserName(){
   		if ($user = $this->GetUser())
   			$name = $user["name"];
   		else
   			if ($this->_userhost)
   				$name = $this->_userhost;
   			else{
    			if (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN')
    				$name = $_SERVER["REMOTE_ADDR"];
    			else
    				if (!$name = $this->_gethostbyaddr($_SERVER["REMOTE_ADDR"]))
    					$name = $_SERVER["REMOTE_ADDR"];
    			$this->_userhost = $name;
   			}
   		return $name;
 	}

	//   2012-01-12 19:28:18
    /*
        id.  .
    */
    // $id (int) - id   
	function GetUserNameById($id){
 		if ($this->usersidname[$id])
 			return $this->usersidname[$id];
 		else{
	 		$u = $this->dbGetById("users", $id);
	 		$this->usersidname[$id] = $u['showname'];
 			return $u['showname'];
 		}
 	}

	//   2012-01-12 19:28:45
    /*
     id  .
    */
    //  
	function GetCurrUserId(){
 		$u = $this->GetUser();
 		return $u['id'];
 	}

	//   2012-01-12 19:57:01
    /*
      Internet-,   IP-
    */
    // $ip (ip) - ip 
	function _gethostbyaddr($ip) {
 		if ($this->GetConfigValue("allow_gethostbyaddr"))
 			return gethostbyaddr($ip);
 		else
 			return false;
 	}

	//   2012-01-12 19:57:54
    /*
     ,   .
    */
    //  
	function GetUser(){
   		if ($_SESSION[$this->config["cookie_prefix"]."user"]) {
     		$usr = $_SESSION[$this->config["cookie_prefix"]."user"];
     		if($this->checkuser == 0) {
         		if($this->LoadUser($usr["name"],$usr["password"])) {
            		$this->checkuser = 1;
         		} else {
            		$this->LogoutUser();
            		return null;
         		}
     		}
     		return $_SESSION[$this->config["cookie_prefix"]."user"];
   		}else
     		return null;
 	}

	//   2012-01-12 19:59:34
    /*
        .
    */
    // $user (array) -   
    // $setcookie (bool) -   
	function SetUser($user, $setcookie=1){
  		$_SESSION[$this->config["cookie_prefix"]."user"] = $user;
  		if ($setcookie)
  			$this->SetPersistentCookie("name", $user["name"], 1);
 	}

	//   2012-01-12 20:00:12
    /*
     .
    */
    // $user (array) -   
	function LogUserIn($user){
  		$this->SetPersistentCookie("name", $user["name"], 1);
  		$this->SetPersistentCookie("password", $user["password"]);
 	}

	//   2012-01-12 20:03:52
    /*
          $time
    */
    // [$tag] (string) - 
    // [$time] (datetime) -   
	function GetPageOwner($tag = "", $time = "") {
  		if (!$tag = trim($tag))
  			$tag = $this->GetPageTag();
  		if ($page = $this->LoadPage($tag, $time, LOAD_CACHE, LOAD_META))
  			return $page["owner"];
  	}

	//   2012-01-12 20:02:38
    /*
    ,       .
    */
    // [$tag] (string) - 
	function UserIsOwner($tag = ""){
   		if (!$this->GetUser())
   			return false;
   		if (!$tag = trim($tag))
   			$tag = $this->GetPageTag();
   		if ($this->GetPageOwner($tag) == $this->GetUserName())
   			return true;
   		return false;
 	}

	//   2012-02-01 14:27:44
    /*
    //    //
    ,       .
    */
    // $group (string) - 
    // $privilege (string) - 
    // [$tag] (string) - 
    function GroupHasAccess($group, $privilege, $tag = ""){
    	if ($group == "admin") return true;

    	if (strpos("#".$privilege, "_all"))
    		$tag = "*";

    	$tags = $this->GetTagsFromTag($tag);
    	$tags[] = "*";
		foreach ($tags as $onetag){
			if ($cachedUG = $this->GetCachedUG($group, $onetag, $privilege)){
				return ((int)$cachedUG-1);
			}
		}
		return false;
    }


	//   2012-02-04 23:38:20
    /*
     true     false   .       BanIp
    */
    // $privilege (string) - 
    // [$tag] (string) - 
    // [$user] (array) - 
	function HasAccess($privilege, $tag = "", $user = ""){
  		if (!$user)
  			$user = $this->GetUser();
  		if (!$tag = trim($tag))
  			$tag = $this->GetPageTag();
		$access = $this->UserHasAccess($user, $privilege, $tag);

  		$ip = $_SERVER["REMOTE_ADDR"];
  		$tags = $this->GetTagsFromTag($this->NpjSlTranslit($tag));
		$tags[] = "*";
		$banip = true;
		foreach ($tags as $onetag){
			if (isset($this->banipcache[$privilege."#".$onetag])){
				$banip = false;
			}
		}

  		return ($access&&$banip);
  	}

	//   2012-01-30 10:27:05
    /*
      .
    */
    // $group (string) - 
    // $privilege (string) - 
    // $tag (string) - 
    // $allow (bool) -   
    function AddGroupRule($group, $privilege, $tag, $allow){
    	if ($tag[strlen($tag)-1]=="/"){
    		$tp = "/";
        }
        $tag = $this->NpjTranslit($tag).$tp;
    	$q = "INSERT INTO `".$this->config["mysql_database"]."`.`".$this->config["table_prefix"]."groups`
    		 (`group`, `privilege`, `tag`, `allow`) VALUES
    		 ('".$group."', '".$privilege."', '".$tag."', '".$allow."');";
		$this->Query($q);
		$this->CacheUG($group, $tag, $privilege, ($allow=="1"));
    }

	//   2012-02-06 14:17:48
    /*
     .
    
    */
    //  
	function LogoutUser() {
 		 $_SESSION[$this->config["cookie_prefix"]."user"] = "";
 		 $this->DeleteCookie("name");
 		 $this->DeleteCookie("password");
 		 if ( $this->srvIsInstalled('VKAuth') ){
			$srvVK = $this->srvFactory('VKAuth');
			$srvVK->LogOut();
		 }
		 if ( $this->srvIsInstalled('FBAuth') ){
			$srvFB = $this->srvFactory('FBAuth');
			$srvFB->LogOut();
		 }		 
 	}


/***********************************kernel/inputckeck***********************************/

	//   2012-01-10 01:01:57
    /*
    ,    e-mail- (..   @.)
    */
    // $email (string) - 
	function IsEmail($email) {
  		return preg_match("/^([a-zA-Z0-9])+([.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-]+)*.([a-zA-Z]{2,6})$/", $email);
  	}

	//   2012-02-05 20:03:57
    /*
     True,      ,    ( ).
    */
    // $str (string) - 
    // $symbols (string) -  
    function symSome($str,$symbols) {
      	return preg_match('#^['.$symbols.']+$#',$str);
    }

	//   2012-01-22 16:42:40
    /*
     True,          /   .
    */
    // $str (string) - 
    function symAlnum($str) {
      	return $this->symSome($str,'A-Za-z0-9');
    }

	//   2012-01-22 16:44:37
    /*
     True,      ,     .
    */
    // $str (string) - 
    function symPageTag($str) {
      	$res = preg_match("/^(".$this->language["ALPHANUM"]."+)$/", $str) && (strpos($str, '_') === false);
      	return $res;
    }


/***********************************kernel/system***********************************/

	//   2012-01-24 16:09:13
    /*
       .
    */
    // $handler (string) -  
    // $method (string) -  
    // [$handlerpath] (string) -     
	function Method($handler,$method, $handlerpath=""){
   		$methodLocation = $handlerpath.$handler."/".$method.".php";   
   		$curdir = getcwd();
   		$text = $this->IncludeBuffered($methodLocation, "<i>Unknown method \"".strip_tags($methodLocation)."\"</i>", "", $this->config["handler_path"]);
   		return $text;
 	}

	//   2012-01-10 13:49:38
    /*
       &quot;&quot; .
    */
    //  
    function getRootPath() {
     	if(file_exists("./wakka.php")) {
       		return "./";
     	}
     	if(file_exists("../../wakka.php")) {
       		return "../../";
     	}
     	if(file_exists("../wakka.php")) {
       		return "../";
     	}
     	return null;
    }

	//   2012-01-10 13:50:27
    /*
        .
    */
    //  
    function getSiteDataPath() {
     	global $crossSiteName;
     	return $this->getRootPath()."sites/".$crossSiteName."/";
    }

	//   2012-01-10 13:51:07
    /*
     http-  .
    */
    //  
    function getHTTPSiteDataPath() {
     	global $crossSiteName;
     	return $this->config["base_urlm"]."sites/".$crossSiteName."/";
    }

	//   2012-01-10 13:51:55
    /*
       .
    */
    //  
	function clearEventCache() {
   		$this->Query("TRUNCATE TABLE ".$this->config["table_prefix"]."eventcachecheck");
   		$this->Query("TRUNCATE TABLE ".$this->config["table_prefix"]."eventcache");
 	}

	//   2012-01-10 13:52:38
    /*
         .    .
    */
    //  
	function GetMicroTime() {
 		list($usec, $sec) = explode(" ",microtime());
 		return ((float)$usec + (float)$sec);
 	}

	//   2012-01-10 13:58:13
    /*
               .
    */
    // $filename (string) -  
    // $notfoundText (string) - ,      
    // [$vars] (array) - 
    // [$path] (string) -  
    function IncludeBuffered($filename, $notfoundText = "", $vars = "", $path = ""){
        if($this->GetConfigValue("debug")>=2) {
      		$start = $this->GetMicroTime();
      		$this->includeLog[] = array(
          		"query"   => $this->includeFor.$filename,
          		"time"    => '(opened)');
      		$this->includeFor .= '. .';
   		}

   		if ($path)
   			$dirs = explode(":", $path);
   		else
   			$dirs = array("");

   		foreach($dirs as $dir){
     		if ($dir) $dir .= "/";
     		$fullfilename = $dir.$filename;
     		$fullfilename = trim($fullfilename, "./");
     		if (@file_exists($fullfilename)){
       			if (is_array($vars)) extract($vars, EXTR_SKIP);

       			ob_start();
       			include($fullfilename);
       			$output = ob_get_contents();
       			ob_end_clean();

       			if($this->GetConfigValue("debug")>=2){
        			$this->includeFor = substr($this->includeFor,0,-3);
        			$time = $this->GetMicroTime() - $start;
        			$this->includeLog[] = array(
          				"query"   => $this->includeFor.$filename,
          				"time"    => $time);
      			}

       			return $output;
     		}
   		}
   		if ($notfoundText)
   			return $notfoundText;
   		else
   			return false;
    }

	//   2012-01-11 13:54:34
    /*
      .
    */
    //  
	function GetMethod() {
 		return $this->method;
 	}

	//   2012-01-11 13:55:17
    /*
    !!?!!
    */
    // $lang (string) - 
	function SetResource($lang) {
 		$this->resource=&$this->resources[$lang];
 	}

	//   2012-01-11 13:57:54
    /*
     .
    */
    // $class_name (string) -  
    // [$class_dir] (string) -  
    // [$file_name] (string) -  
	function UseClass($class_name, $class_dir="", $file_name="" ){
   		if(!class_exists($class_name)){
     		if ($file_name == "") $file_name=$class_name;
     		if ($class_dir == "") $class_dir=$this->classes_dir;
     		$class_file = $class_dir.$file_name.".php";
     		$class_file = trim($class_file, "./");

     		if (!@is_readable($class_file))
      			die("Cannot load class ".$class_name."  from ". $class_file. " (".$class_dir.")");
     		else
     			require_once($class_file);
   		}
 	}

	//   2012-01-29 21:24:06
    /*
          (      ).
    */
    // $url (stirng) -   
	function Redirect($url) {
 		header("Location: $url");
 		exit;
 	}

	//   2012-02-05 00:17:21
    /*
     ,     ;)
        &quot;THE BIG EVIL NASTY ONE!&quot; (  !)
    */
    // $handler (string) - 
    // $tag (string) - 
    // [$method] (string) - 
    // [$handlerpath] (string) -    
	function Run($handler, $tag, $method = "", $handlerpath=""){
   		global $crossSiteSubdomain, $userMagicCode;

   		$this->handler = $handler;
   		$this->realHandler = $this->handler;

   		if(!($this->GetMicroTime()%3)) $this->Maintenance();

   		foreach ($this->search_engines as $engine){
    		if (stristr($_SERVER["HTTP_USER_AGENT"], $engine)){
      			$this->config["default_showdatetime"] = 0;
      			$this->config["show_datetime"] = "N";
    		}
   		}

   		if ((!$this->GetUser() && isset( $_COOKIE[$this->config["cookie_prefix"]."name"] ))
   			&& ($user = $this->LoadUser($_COOKIE[$this->config["cookie_prefix"]."name"], $_COOKIE[$this->config["cookie_prefix"]."password"])))
   				$this->SetUser($user);

   		global $userMagicCode;
   		if (!$this->GetUser() && ($userMagicCode != "")) {
      		$srvMagicCode = $this->srvFactory("UserMagicCode");
      		if($srvMagicCode) {
        		$srvOnto = $this->srvFactory("AdvOntology");
        		$userOnto = $srvOnto->getConceptsByFieldIds("User", array("magiccode" => $userMagicCode));
        		$userOnto = $userOnto[0];
        		if($userOnto) {
          			$user = $this->LoadUser($userOnto["data"]);
          			$this->SetUser($user);
        		}
      		}
   		}

   		$user = $this->GetUser();
   		if ((!$this->GetCookie("lastvisit"))&&$user){
   			$this->Query('UPDATE '.$this->config["user_table"].' SET lastvisit=CURDATE() WHERE `id` = '.$user["id"]);
   			$this->SetPersistentCookie("lastvisit", "1", 0);
   		}
   		$this->userlang = ($user["lang"]?$user["lang"]:$this->GetConfigValue("language"));
   		if (!($this->userlang))
   			$this->userlang="ru";
   		if (is_array($user) && $user["options"]["theme"]){
    		$this->config["theme"] = $user["options"]["theme"];
    		$this->config["theme_url"]=$this->config["root_url"]."themes/".$this->config["theme"]."/";
   		}

   		if (!$this->GetConfigValue("multilanguage"))
   			$this->SetLanguage($this->GetConfigValue("language"));

   		$this->LoadAllLanguages();
   		$this->LoadResource($this->userlang);
   		$this->SetResource($this->userlang);
   		$this->SetLanguage($this->userlang);

   		$wacko = &$this;

   		if (!$this->method = trim($method))
   			$this->method = "show";
   		if (!$this->tag = trim($tag))
   			$this->Redirect($this->href("", $this->config["root_page"]));

   		if (!preg_match("/^[".$this->language["ALPHANUM_P"]."\!]+$/", $tag))
    		$tag = $this->tryUtfDecode($tag);
   		$tag = str_replace("'", "_", str_replace("\\", "", str_replace("_", "", $tag)));
   		$tag = preg_replace("/[^".$this->language["ALPHANUM_P"]."\_\-]/", "", $tag);

   		$this->tag = $tag;
   		$this->supertag = $this->NpjTranslit($tag);
   		$time = isset( $_GET["time"] ) ? $_GET["time"] : "";
   		$page = $this->LoadPage($this->tag, $time);
   		if ($this->GetConfigValue("outlook_workaround") && !$page)
    		$page = $this->LoadPage($this->supertag."'", $time);

   		$this->SetPage($page);

 		/*GROUP OPTIMIZE*/
    	if (!$this->isAdmin()){

    		$group = $this->GetUserGroup($this->GetUser());
			$q = "select `allow`, `tag`, `privilege` from  `".$this->config["mysql_database"]."`.`".$this->config["table_prefix"]."groups` where
    			  `group` = '".$group."'";
			$access = $this->LoadAll($q);
        	foreach ($access as $rule){
        		$this->CacheUG($group, $rule['tag'], $rule['privilege'], $rule['allow']);
        	}
		}
    	/***/
    	$this->srvAllRunFile('onrun');
   		$this->srvAllRunFile('stat');

   		if (!$this->GetUser() && $this->page["time"])
     		header("Last-Modified: ".gmdate("D, d M Y H:i:s", strtotime($this->page["time"])+120)." GMT");;
   		if (preg_match("/(\.xml)$/", $this->method))
     		print($this->Method($handler,$this->method));
   		else
   			if (preg_match("/print$/", $this->method))
     			print($this->Header("print").$this->Method($handler,$this->method).$this->Footer("print"));
  	 		else
  	 			if (preg_match("/msword$/", $this->method))
     				print($this->Header("msword").$this->Method($handler,$this->method).$this->Footer("msword"));
   				else{
     				$this->current_context++;
     				$this->context[$this->current_context] = $this->tag;
     				$data = $this->Method($handler,$this->method, $handlerpath);
     				$this->current_context--;
     				if($this->IsAjax()) {
       					if($this->acontent) {
         					print($data);
       					} else {
         					echo "debug AJAX info";
       					}
     				} else {
        				// overwork for usual HREF processing in PAGE handler context
        				$this->handler = "page";

        				$baseThemeHandler = 'themes/'.$this->config["theme"].'/appearance/makehtml.php';
        				if(file_exists($baseThemeHandler)) {
          					if($crossSiteSubdomain != "")
             					if(file_exists('themes/'.$this->config["theme"].'/appearance/makehtml.'.$crossSiteSubdomain.'.php'))
               						$baseThemeHandler = 'themes/'.$this->config["theme"].'/appearance/makehtml.'.$crossSiteSubdomain.'.php';
          					include($baseThemeHandler);
        				} else {
          					print($this->Header().$data.$this->Footer());
        				}

        				// end of overwork
        				$this->handler = $this->realHandler;
     				}
     				if($this->IsAjax()) {
         				global $_RESULT;
         				foreach($this->atheme as $val)
           					$wacko->ajxPhpElement($val);

         				if($this->aactions)
           					$this->ajxElementsAllRun();

         				die();
     				}
   				}
  		return $this->tag;
 	}

	//   2012-01-23 14:41:12
    /*
        html ( ). !!   !!
    */
    // $email (string) - e-mail
    // $subject (string) - 
    // $message (text) -  
 	function SendMail($email,$subject, $message) {
	   	$headers = "From: \"".$this->GetConfigValue("wakka_name")."\"<".$this->GetConfigValue("admin_email").">\r\n";
	   	$headers .= "X-Mailer: PHP/".phpversion()."\r\n"; //mailer
	   	$headers .= "X-Priority: 3\r\n"; //1 UrgentMessage, 3 Normal
	   	$headers .= "Content-Type: text/html; charset=".$this->GetCharset()."\r\n";
	   	$subject =  "=?".$this->GetCharset()."?B?" . base64_encode($subject) . "?=";
	   	@mail($email, $subject, "<html><head></head><body>".$message."</body></html>", $headers);
 	}


/***********************************kernel/page***********************************/

	//   2012-01-24 16:10:39
    /*
      .
    */
    // $pages (array) -    
    function CacheSTPages(&$pages) {
    	foreach($pages as $page){
      		$this->CachePage($page, 1);
            $supertag_list[] = $page["supertag"];
        }
    }

	//   2012-01-10 14:08:10
    /*
         .
    */
    //  
	function GetKeywords(){
   		if ($this->page["keywords"])
   			return $this->page["keywords"];
   		else
   			return $this->GetConfigValue("meta_keywords");
 	}

	//   2012-01-10 17:15:36
    /*
        .
    */
    //  
	function GetDescription(){
   		if ($this->page["description"])
   			return $this->page["description"];
   		else
   			return $this->GetConfigValue("meta_description");
 	}

	//   2012-01-10 17:21:11
    /*
         time  .
    */
    // $tag (string) - 
    // [$time] (datetime) -   
    // [$cache] (LOAD_CACHE||null) - 
    // [$metadataonly] (LOAD_ALL||null) - ?
	function LoadPage($tag, $time = "", $cache = LOAD_CACHE, $metadataonly = LOAD_ALL){
   		$supertag = $this->NpjTranslit($tag, TRAN_LOWERCASE, TRAN_DONTLOAD);
   		$page = $this->OldLoadPage($supertag,$time,$cache, true, $metadataonly);
   		if (!$page)
	    	$page = $this->OldLoadPage($tag,$time,$cache, false, $metadataonly);
   		return $page;
 	}

	//   2012-02-04 23:01:37
    /*
        $id
    */
    // $id (int) - id   
 	function GetPageTagById($id){
 		$page = $this->Loadsingle("select `tag` from ".$this->config["table_prefix"]."pages where id='".quote($id)."' limit 1");
 	    return $page['tag'];
 	}

	//   2012-01-10 17:24:46
    /*
     ,    .
    */
    // $tag (string) - 
    // [$metadataonly] (int) - ?
	function GetCachedPage($tag, $metadataonly=0) {
   		if (isset( $this->pageCache[$tag] ))
    		if ($this->pageCache[$tag]["mdonly"]==0 || $metadataonly==$this->pageCache[$tag]["mdonly"])
      			return $this->pageCache[$tag];
  		return false;
 	}

	//   2012-01-10 17:26:23
    /*
     .
    */
    // $page (array) - 
    // [$metadataonly] (int) - ?
	function CachePage($page, $metadataonly=0) {
  		$page["supertag"] = $this->NpjTranslit($page["supertag"], TRAN_LOWERCASE, TRAN_DONTLOAD);
  		$this->pageCache[$page["supertag"]] = $page;
  		$this->pageCache[$page["supertag"]]["mdonly"] = $metadataonly;
 	}

	//   2012-01-10 17:27:46
    /*
       .
    */
    // $page (array) - 
	function SetPage($page){
  		$langlist = $this->AvailableLanguages();
  		$this->page = $page;
  		if ($this->page["tag"])
  			$this->tag = $this->page["tag"];
  		if ($page["lang"])
    		$this->pagelang = $page["lang"];
  		else
  			if ($_REQUEST["add"] && $_REQUEST["lang"] && in_array($_REQUEST["lang"], $langlist))
    			$this->pagelang = $_REQUEST["lang"];
  			else
  				if ($_REQUEST["add"])
    				$this->pagelang = $this->userlang;
  				else
    				$this->pagelang = $this->GetConfigValue("language");
 	}

	//   2012-01-10 17:29:47
    /*
       .        - pageFullDelete.
    */
    // $tag (string) - 
	function RemovePage($tag) {
   		return $this->Query("delete from ".$this->config["table_prefix"]."revisions  where tag = '".quote($tag)."' ") &&
   		$this->Query("delete from ".$this->config["table_prefix"]."pages  where tag = '".quote($tag)."' ");
 	}

	//   2012-01-11 13:37:08
    /*
       (  ) 
    */
    //  
	function LoadPageTitles() {
 		return $this->LoadAll("select distinct tag from ".$this->config["table_prefix"]."pages order by tag");
 	}

	//   2012-01-11 13:39:17
    /*
       .
    */
    //  
	function GetPagePath(){
   		$steps = explode("/", $this->tag);
   		$result = "";
   		$links = array();
   		$_links = array();
   		for ($i=0;$i<count($steps)-1;$i++){
     		if ($i==0) $prev=""; else $prev=$links[$i-1]."/";
     		$links[] =  $prev.$steps[$i];
   		}
   		for ($i=0;$i<count($steps)-1;$i++)
     		$result.= $this->Link("/".$links[$i], "", $steps[$i] )."/";
   		$result.=$steps[count($steps)-1];
   		return $result;
 	}

	//   2012-01-11 13:41:06
    /*
      (   )
    */
    // $tag (string) -  
    // $NewTag (string) -  
    // [$NewSuperTag] (string) - -   
	function RenamePage($tag, $NewTag, $NewSuperTag=""){
   		if ($NewSuperTag=="")
     		$NewSuperTag = $this->NpjTranslit($NewTag);

   		return  $this->Query("update ".$this->config["table_prefix"]."revisions set tag = '".quote($NewTag)."', supertag = '".quote($NewSuperTag)."' where tag = '".quote($tag)."' ") &&
   				$this->Query("update ".$this->config["table_prefix"]."pages  set tag = '".quote($NewTag)."', supertag = '".quote($NewSuperTag)."' where tag = '".quote($tag)."' ");
 	}

	//   2012-01-11 13:42:21
    /*
          .
    */
    // $page (string) -  
	function LoadRevisions($page){
   		$rev = $this->LoadAll("select ".$this->pages_meta." from ".$this->config["table_prefix"]."revisions where tag='".quote($page)."' order by time desc");
   		if (is_array($rev))
   			array_unshift($rev, $this->Loadsingle("select ".$this->pages_meta." from ".$this->config["table_prefix"]."pages where tag='".quote($page)."' order by time desc  limit 1"));
   		else
   			$rev[] = $this->Loadsingle("select ".$this->pages_meta." from ".$this->config["table_prefix"]."pages where tag='".quote($page)."' order by time desc  limit 1");
   		return $rev;
 	}

	//   2012-01-11 13:46:25
    /*
       .
    */
    //  
    function LoadTopPages() {
       	$pages = $this->LoadAll("select ".$this->pages_meta." from ".
           								$this->config["table_prefix"]."pages where supertag rlike '^[A-Za-z_\']*$'"
        );
       	if ($pages){
          	$this->CacheSTPages($pages);
          	return $pages;
       	}
    }

	//   2012-01-11 13:50:11
    /*
     id    .
    */
    // $tag (string) - 
    function LoadIdByTag($tag) {
     	$pg = $this->Loadsingle('SELECT id FROM '.$this->config["table_prefix"]."pages WHERE tag='".quote($tag)."'");
     	return $pg["id"];
    }

	//   2012-01-11 13:51:48
    /*
      .
    !!   !!
    */
    // $tag (string) - 
    function pageFullDelete($tag) {
       	if ($this->RemovePage($tag)){
       	}
       	$this->RemoveActions($this->page["id"]);
       	$this->srvAllRunFile('removepage');
    }

	//   2012-01-11 13:52:17
    /*
       .
    */
    //  
	function GetPageTag() {
   		return $this->tag;
   	}

	//   2012-01-11 13:52:46
    /*
       .
    */
    //  
	function GetPageSuperTag() {
 		return $this->supertag;
 	}

	//   2012-01-11 13:53:54
    /*
        .
    */
    //  
	function GetPageTime() {
 		return $this->page["time"];
 	}

	//   2012-02-02 13:50:38
    /*
     .  .
    */
    // $tag (string) - 
    // [$time] (datetime) -   
    // [$cache] (int) - 
    // [$supertagged] (bool) - ?
    // [$metadataonly] (int) - ?
	function OldLoadPage($tag, $time = "", $cache = 1, $supertagged = false, $metadataonly = 0){
   		$page = null;
   		if (!$supertagged)
   			$supertag = $this->NpjTranslit($tag, TRAN_LOWERCASE, TRAN_DONTLOAD);
   		else
   			$supertag=$tag;
   		if (!$time && $cache && ($cachedPage = $this->GetCachedPage($supertag, $metadataonly)))
   			$page = $cachedPage;
   		if ($metadataonly)
   			$what = $this->pages_meta;
   		else
   			$what = "*";
   		if (!$page){
     		if ($supertagged) {
       			$page = $this->Loadsingle("select ".$what." from ".$this->config["table_prefix"]."pages where supertag='".quote($tag)."' limit 1");
       			if ($page) $page['latest'] = "Y";
       			if ($time && $time!=$page["time"]) {
         			$this->CachePage($page, $metadataonly);
         			$page = $this->Loadsingle("select ".$what." from ".$this->config["table_prefix"]."revisions where supertag='".quote($tag)."' and time = '".quote($time)."' limit 1");
       			    if ($page) $page['latest'] = "N";
       			}
     		} else {
       			$page = $this->Loadsingle("select ".$what." from ".$this->config["table_prefix"]."pages where tag='".quote($tag)."' limit 1");
       			if ($page) $page['latest'] = "Y";
       			if ($time && $time!=$page["time"]) {
         			$this->CachePage($page, $metadataonly);
         			$page = $this->Loadsingle("select ".$what." from ".$this->config["table_prefix"]."revisions where tag='".quote($tag)."' and time = '".quote($time)."' limit 1");
       			    if ($page) $page['latest'] = "N";
       			}
     		}
   		}
   		// cache result
   		if (!$time && !$cachedPage) $this->CachePage($page, $metadataonly);
   		return $page;
 	}

	//   2012-02-01 14:22:01
    /*
     -  .
    */
    //  
	function LoadAllPages() {
 		return $this->LoadAll("select ".$this->pages_meta." from ".$this->config["table_prefix"]."pages order by BINARY tag limit 1000");
 	}

	//   2012-01-23 01:30:58
    /*
    !!    ,   ?v=...!!
    */
    // $tag (string) - 
 	function AddDatetime($tag){
   		$show=$this->GetConfigValue("show_datetime");
   		if (!$show) 
   			$show = "Y";
   		if ($show!="N" && $show!="0"){
     		$_page = $this->LoadPage($tag, "", LOAD_CACHE, LOAD_META);
     		return ($this->config["rewrite_mode"] ? "?" : "&amp;").
       				"v=".base_convert($this->crc16(preg_replace("/[ :-]/","",$_page["time"])),10,36);
   		} else 
   			return "";
 	}

	//   2012-02-02 13:51:51
    /*
         .
    */
    // [$limit] (int) -   
    // [$for] (sring) -   
    // [$from] (date) -     
	function LoadRecentlyChanged($limit=70, $for="", $from=""){
   		$limit= (int) $limit;
   		if ($pages = $this->LoadAll("select ".$this->pages_meta." from ".$this->config["table_prefix"]."pages ".
       								($from||$for?"where ":"").($from?"time<='".quote($from)." 23:59:59'":"").
       								($for?"and supertag like '".quote($this->NpjTranslit($for))."/%' ":"").
       								"order by time desc  limit ".$limit)){
     		foreach ($pages as $page)
       			$this->CachePage($page, 1);

     		return $pages;
   		}
 	}

	//   2012-02-01 14:16:34
    /*
     -    .
    */
    // $tag (string) - 
    // $metadata (array) -   meta
	function SaveMeta($tag, $metadata){
   		if ($this->UserIsOwner($tag)){
      		$this->Query("update ".$this->config["table_prefix"]."pages set ".
        				"lang = '".quote($metadata["lang"])."', ".
        				"keywords = '".quote($metadata["keywords"])."', ".
        				"description = '".quote($metadata["description"])."' ".
        				"where tag = '".quote($tag)."' LIMIT 1"
        	);
   		}
   		return true;
 	}

	//   2012-02-01 14:21:01
    /*
       id.
    !!  !!
    */
    // $id (int) - id   
	function LoadPageById($id){
  		if ($id!="-1")
   			return $this->Loadsingle("select * from ".$this->config["table_prefix"]."revisions where id = '".quote($id)."' limit 1");
  		else
   			return $this->Loadsingle("select * from ".$this->config["table_prefix"]."pages where tag='".quote($this->GetPageTag())."' limit 1");
 	}

	//   2012-02-05 16:44:34
    /*
     .
    */
    // $tag (string) -  
    // $body (text) -  
    // [$autowrite] (manual||null) - ?
	function SavePage($tag, $body, $autowrite = "manual"){
   		$user = $this->GetUserName();

  		if($_POST["tag"]){
     		$this->tag = $tag = $_POST["tag"];
     		$this->supertag = $this->NpjTranslit($tag);
   		}

   		if (!$this->NpjTranslit($tag))
   			return;

   		if ($this->GetConfigValue("cache")){
    		$this->cache->CacheInvalidate($this->tag);
    		$this->cache->CacheInvalidate($this->supertag);
   		}

   		if ($this->HasAccess("write", $tag)){
     		$body = $this->Format($body, "preformat");
     		// is page new?
     		if (!$oldPage = $this->LoadPage($tag)){
       			$langlist = $this->AvailableLanguages();
       			if ($_REQUEST["lang"] && in_array($_REQUEST["lang"], $langlist))
         			$lang = $_REQUEST["lang"];
      	 		else
         			$lang = $this->userlang;
       			if (!$lang)
       				$lang = $this->GetConfigValue["language"];
       			$this->SetLanguage($lang);

       			$body_r = $this->Format($body, "wacko");
       			if ($this->GetConfigValue("paragrafica")){
         			$body_r = $this->Format($body_r, "paragrafica");
         			$body_toc = $this->body_toc;
       			}
       			// current user is owner; if user is logged in! otherwise, no owner.
       			if ($this->GetUser())
       				$owner = $user;
       			$this->Query("insert into ".$this->config["table_prefix"]."pages set ".
         						"time = now(), ".
         						"owner = '".quote($owner)."', ".
         						"user = '".quote($user)."', ".
         						"supertag = '".quote($this->NpjTranslit($tag))."', ".
         						"body = '".quote($body)."', ".
         						"body_r = '".quote($body_r)."', ".
         						"body_toc = '".quote($body_toc)."', ".
         						"lang = '".quote($lang)."', ".
         						"tag = '".quote($tag)."'"
         		);
     		}else{
       			$this->SetLanguage($this->pagelang);
       			$body_r = $this->Format($body, "wacko");
       			if ($this->GetConfigValue("paragrafica")){
         			$body_r = $this->Format($body_r, "paragrafica");
         			$body_toc = $this->body_toc;
       			}
       			// aha! page isn't new. keep owner!
       			$owner = $oldPage["owner"];
       			if ($oldPage['body'] != $body){
        			// move revision
        			$this->Query("insert into ".$this->config["table_prefix"]."revisions (tag, time, body, owner, user, handler, supertag, keywords, description) ".
            					 "select tag, time, body, owner, user, handler, supertag, keywords, description from ".$this->config["table_prefix"]."pages WHERE tag = '".quote($tag)."' LIMIT 1"
            		);

        			// add new revision
        			$this->Query("update ".$this->config["table_prefix"]."pages set ".
          						"time = now(), ".
          						"owner = '".quote($owner)."', ".
          						"user = '".quote($user)."', ".
          						"supertag = '".$this->NpjTranslit($tag)."', ".
          						"body = '".quote($body)."', ".
          						"body_toc = '".quote($body_toc)."', ".
          						"body_r = '".quote($body_r)."' ".
          						"where tag = '".quote($tag)."' LIMIT 1"
          			);
       			}
     			$this->SetLanguage($this->userlang);
   			}
   		}

   		$this->WriteRecentChangesXML();

   		return $body_r;
 	}

	//   2012-01-29 21:26:36
    /*
        .
    */
    // $tag (string) -  
	function ClearCachedPage($tag) {
  		$supertag = $this->NpjTranslit($tag, TRAN_LOWERCASE, TRAN_DONTLOAD);
  		unset($this->pageCache[$supertag]);
 	}


/***********************************kernel/other***********************************/

	//   2012-01-24 16:12:13
    /*
    !!?!!
    */
    //  
    function UseAutoJs() {
     	$cacheFileName = 'sites/'.$this->_crossSiteName.'/cache_events/_autoinc_js.php';
     	if(!file_exists($cacheFileName)) {
       		$fd = fopen($cacheFileName,'w+');
       		$dir_pointer=opendir('js/autoinc');
       		while ($res = readdir($dir_pointer)) {
         		if(strstr($res,'.js'))
            		fwrite($fd,'<script language="javascript" type="text/javascript" src="'.$this->GetConfigValue("root_url")."js/autoinc/".$res.'"></script>'."\n");
         	}
       		fclose($fd);
     	}
     	include($cacheFileName);
    }

	//   2012-02-01 14:15:31
    /*
      &quot; &quot;.     .
    */
    //  
 	function Maintenance(){
   		if ($days = $this->GetConfigValue("pages_purge_time")) {
     		$this->Query("delete from ".$this->config["table_prefix"]."revisions where time < date_sub(now(), interval '".quote($days)."' day)");
   		}
 	}

	//   2012-01-24 16:15:45
    /*
     -.   ,    ##AddSimpleSpaces##
    */
    // $text (string) - 
 	function AddSpaces($text){
  		$show=$this->GetConfigValue("show_spaces");
  		if ($show!="N") {
    		$text = preg_replace("/(".$this->language["ALPHANUM"].")(".$this->language["UPPERNUM"].")/","\\1&nbsp;\\2",$text);
    		$text = preg_replace("/(".$this->language["UPPERNUM"].")(".$this->language["UPPERNUM"].")/","\\1&nbsp;\\2",$text);
    		$text = preg_replace("/(".$this->language["ALPHANUM"].")\//","\\1&nbsp;/",$text);
    		$text = preg_replace("/(".$this->language["UPPER"].")&nbsp;(?=".$this->language["UPPER"]."&nbsp;".$this->language["UPPERNUM"].")/","\\1",$text);
    		$text = preg_replace("/(".$this->language["UPPER"].")&nbsp;(?=".$this->language["UPPER"]."&nbsp;\/)/","\\1",$text);
    		$text = preg_replace("/\/(".$this->language["ALPHANUM"].")/","/&nbsp;\\1",$text);
    		$text = preg_replace("/(".$this->language["UPPERNUM"].")&nbsp;(".$this->language["UPPERNUM"].")($|\b)/","\\1\\2",$text);
    		$text = preg_replace("/([0-9])(".$this->language["ALPHA"].")/","\\1&nbsp;\\2",$text);
    		$text = preg_replace("/(".$this->language["ALPHA"].")([0-9])/","\\1&nbsp;\\2",$text);
    		$text = preg_replace("/([0-9])&nbsp;(?=[0-9])/","\\1",$text);
    		$text = str_replace('-','&nbsp;',$text);
  		}
  		if (strpos($text, "/")===0)
  			$text = $this->GetResourceValue("RootLinkIcon").substr($text, 1);
  		if (strpos($text, "!/")===0)
  			$text = $this->GetResourceValue("SubLinkIcon").substr($text, 2);
  		if (strpos($text, "../")===0)
  			$text = $this->GetResourceValue("UpLinkIcon").substr($text, 3);
  		return $text;
 	}

	//   2012-01-23 15:13:18
    /*
          XML-
    */
    //  
function WriteRecentChangesXML(){
   		$xml = "<?xml version=\"1.0\" encoding=\"windows-1251\"?>\n";
   		$xml .= "<rss version=\"0.92\">\n";
   		$xml .= "<channel>\n";
   		$xml .= "<title>".$this->GetConfigValue("wakka_name")." - RecentChanges</title>\n";
   		$xml .= "<link>".$this->GetConfigValue("root_url")."</link>\n";
   		$xml .= "<description>Recent changes to the ".$this->GetConfigValue("wakka_name")." WackoWiki</description>\n";
   		$xml .= "<language>en-us</language>\n";

   		if ($pages = $this->LoadRecentlyChanged()){
     		foreach ($pages as $i => $page){
       			if ($this->config["hide_locked"])
       				$access =$this->HasAccess("read",$page["tag"],"guest@wacko");
       			if ($access && ($count < 30)){
         			$count++;
         			$xml .= "<item>\n";
         			$xml .= "<title>".$page["tag"]."</title>\n";
         			$xml .= "<link>".$this->href("show", $page["tag"], "time=".urlencode($page["time"]))."</link>\n";
         			$xml .= "<description>".$page["time"]." by ".$page["user"]."</description>\n";
         			$xml .= "</item>\n";
       			}
     		}
   		}

   		$xml .= "</channel>\n";
   		$xml .= "</rss>\n";

   		$filename = $this->getRootPath()."sites/".$this->_crossSiteName."/xml/recentchanges_".preg_replace("/[^a-zA-Z0-9]/", "", strtolower($this->GetConfigValue("wakka_name"))).".xml";;

   		$fp = @fopen($filename, "w");
   		if ($fp){
     		fwrite($fp, $xml);
     		fclose($fp);
   		}
 	}

	//   2012-01-23 01:13:50
    /*
        windows-1251  utf-8
    */
    // $str (string) - 
 	function CP1251toUTF8($str){
  		static $table = array(	"\xA8" => "\xD0\x81", // 
                        		"\xB8" => "\xD1\x91", // 

                        		"\xA1" => "\xD0\x8E", //  ()
                        		"\xA2" => "\xD1\x9E", //  ()
                        		"\xAA" => "\xD0\x84", //  ()
                        		"\xAF" => "\xD0\x87", //  (I..)
                        		"\xB2" => "\xD0\x86", // I (I)
                        		"\xB3" => "\xD1\x96", // i (i)
                        		"\xBA" => "\xD1\x94", //  ()
                        		"\xBF" => "\xD1\x97", //  (i..)

                        		"\x8C" => "\xD3\x90", // &#1232; (A)
                        		"\x8D" => "\xD3\x96", // &#1238; (E)
                        		"\x8E" => "\xD2\xAA", // &#1194; ()
                        		"\x8F" => "\xD3\xB2", // &#1266; ()
                        		"\x9C" => "\xD3\x91", // &#1233; ()
                        		"\x9D" => "\xD3\x97", // &#1239; ()
                        		"\x9E" => "\xD2\xAB", // &#1195; ()
                        		"\x9F" => "\xD3\xB3", // &#1267; ()
                       		);

  		return preg_replace('#[\x80-\xFF]#se',
                      		' "$0" >= "\xF0" ? "\xD1".chr(ord("$0")-0x70) :
                       			("$0" >= "\xC0" ? "\xD0".chr(ord("$0")-0x30) :
                        		(isset($table["$0"]) ? $table["$0"] : "")
                       		)',
                      		$str
                     		);
    }

	//   2012-01-23 00:09:59
    /*
       ,   .
    */
    // $btnid (string) - id 
    // $btntext (string) -  
    function OneButtonAction($btnid,$btntext) {
      if($_REQUEST["run_".$btnid]!='1') {
        echo $this->FormOpen();
        echo '<input type=hidden name="run_'.$btnid.'" value=1>';
        echo '<input type=submit value="'.$btntext.'">';
        echo $this->FormClose();
        return false;
      } else {
        return true;
      }
    }

	//   2012-01-23 00:11:01
    /*
       (  )
    */
    // $text (string) - 
    function AddSimpleSpaces($text) {
     	return str_replace('&nbsp;',' ',$this->AddSpaces($text));
    }

	//   2012-01-23 00:11:46
    /*
      WAP- ?
    */
    //  
    function IsWap() {
      	global $crossSiteSubdomain;
      	return $crossSiteSubdomain == "wap";
    }

	//   2012-01-23 00:16:18
    /*
     ,  .     ,    .
    */
    // $maxsym (int) -  ,   
    // $str (string) - 
    function CutSymbols($maxsym,$str) {
  		$maxsym = (int)$maxsym;
  		if($maxsym==0) return $str;
  		if (strlen($str)>$maxsym) {
    		return substr($str,0,$maxsym).' ...';
  		} else {
    		return $str;
  		}
    }

	//   2012-01-23 00:39:36
    /*
     .      .
    */
    // $dir (string) -   
    // $dest (string) -   
	function f_copy($dir, $dest){
   		if ($open = opendir($dir)){
       		while (false !== ($file = readdir($open))){
             	if ($file != "." && $file != ".."){
                 	if (!is_dir($dir ."/". $file)){
                  		copy($dir."/".$file, $dest."/".$file);
                       	chmod($dest."/".$file, 0777);
                 	}else{
                  		mkdir($dest."/".$file, 0777);
                  		chmod($dest."/".$file, 0777);
                  		f_copy($dir."/".$file, $dest."/".$file);
                 	}
             	}
         	}
         	closedir($open);
   		}
   		return true;
	}

	//   2012-01-23 00:41:13
    /*
        .
    */
    // $number (int) - 
	function generate_password($number){
		$arr = array('a', 'b', 'c', 'd', 'e', 'f',
					 'g', 'h', 'i', 'j', 'k', 'l',
					 'm', 'n', 'o', 'p', 'r', 's',
					 't', 'u', 'v', 'x', 'y', 'z',
					 'A', 'B', 'C', 'D', 'E', 'F',
					 'G', 'H', 'I', 'J', 'K', 'L',
					 'M', 'N', 'O', 'P', 'R', 'S',
					 'T', 'U', 'V', 'X', 'Y', 'Z',
					 '1', '2', '3', '4', '5', '6',
					 '7', '8', '9', '0');

		$pass = "";
		for($i = 0; $i < $number; $i++) {
			$index = rand(0, count($arr) - 1);
			$pass .= $arr[$index];
		}
		return $pass;
	}

	//   2012-01-23 00:42:43
    /*
    !!?!!
    */
    // $string (string) - 
	function crc16($string) {
  		$crc = 0xFFFF;
  		for ($x = 0; $x < strlen ($string); $x++) {
    		$crc = $crc ^ ord($string[$x]);
    		for ($y = 0; $y < 8; $y++) {
      			if (($crc & 0x0001) == 0x0001) {
        			$crc = (($crc >> 1) ^ 0xA001);
      			} else { 
      				$crc = $crc >> 1; 
      			}
    		}
  		}
  		return $crc;
 	}

	//   2012-01-23 00:51:50
    /*
    , -     (   )
    */
    // $filename (string) -  
    // [$unwrapped_tag] (string) -  
 	function CheckFileExists($filename, $unwrapped_tag = "" ){
   		if ($unwrapped_tag == "") 
   			$page_id=0;
   		else{ 
   			$page = $this->LoadPage($unwrapped_tag, "", LOAD_CACHE, LOAD_META);
     		$page_id=$page["id"];
     		if (!$page_id) 
     			return false;
   		}
   		if (!($file = $this->filesCache[$page_id][$filename])){
    		$what = $this->LoadAll( "select id, filename, filesize, description, picture_w, picture_h, file_ext from ".$this->config["table_prefix"]."upload where ".
                            		"page_id = '".quote($page_id)."' and filename='".quote($filename)."'");
    		if (sizeof($what) == 0) 
    			return false;
    		$file = $what[0];
    		$this->filesCache[$page_id][$filename] = $file;
   		}
   		return $file;
 	}

	//   2012-01-23 00:56:47
    /*
          .
    */
    //  
 	function NoCache(){
  		header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    // Date in the past
  		header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
  		header("Cache-Control: no-store, no-cache, must-revalidate");  // HTTP/1.1
  		header("Cache-Control: post-check=0, pre-check=0", false);
  		header("Pragma: no-cache");                          // HTTP/1.0
 	}

	//   2012-01-23 00:55:18
    /*
      - .
    */
    // [$mod] (string) -  ( ) -
	function Footer($mod="") {
   		$result = $this->IncludeBuffered("footer".$mod.".php", getcwd()."Theme is corrupt: ".$this->GetConfigValue("theme"), "", "themes/".$this->GetConfigValue("theme")."/appearance");
   		return $result;
 	}

	//   2012-01-26 15:12:31
    /*
      - .
    */
    // [$mod] (string) -  ( ) -
	function Header($mod="") {
   		$result = $this->IncludeBuffered("header".$mod.".php", "Theme is corrupt: ".$this->GetConfigValue("theme"), "", "themes/".$this->GetConfigValue("theme")."/appearance");
		return $result;
	}

	//   2012-01-23 01:13:25
    /*
         .
    */
    //  
 	function AvailableThemes(){
  		$handle=opendir("themes");
  		while (false!==($file = readdir($handle))) {
    		if ($file != "." && $file != "CVS" && $file != ".." && is_dir("themes/".$file))
      			$themelist[] = $file;
  		}
  		closedir($handle);
  		if ($allow = $this->GetConfigValue("allow_themes")){
   			$ath = explode(",",$allow);
   			if (is_array($ath) && $ath[0])
     			$themelist = array_intersect ($ath, $themelist);
  		}
  		return $themelist;
 	}

	//   2012-01-23 01:33:07
    /*
       ,   . !!!!
    */
    // $docpath (string) -  
    // $findstr (string) -   
    function utilClearFolder($docpath,$findstr) {
       	$dir_pointer=opendir($docpath);
       	while ($res1 = readdir($dir_pointer)) 
       		if(strstr($res1,$findstr)) 
            	unlink($docpath.'/'.$res1);       
    }

	//   2012-02-05 16:21:27
    /*
        utf-8  windows-1251
    */
    // $str (string) - 
	function UTF8toCP1251($str){
  		static $table = array("\xD0\x81" => "\xA8", // 
                        "\xD1\x91" => "\xB8", // 
                        //  
                        "\xD0\x8E" => "\xA1", //  ()
                        "\xD1\x9E" => "\xA2", //  ()
                        "\xD0\x84" => "\xAA", //  ()
                        "\xD0\x87" => "\xAF", //  (I..)
                        "\xD0\x86" => "\xB2", // I (I)
                        "\xD1\x96" => "\xB3", // i (i)
                        "\xD1\x94" => "\xBA", //  ()
                        "\xD1\x97" => "\xBF", //  (i..)
                        //  
                        "\xD3\x90" => "\x8C", // ? ()
                        "\xD3\x96" => "\x8D", // ? ()
                        "\xD2\xAA" => "\x8E", // ? ()
                        "\xD3\xB2" => "\x8F", // ? ()
                        "\xD3\x91" => "\x9C", // ? ()
                        "\xD3\x97" => "\x9D", // ? ()
                        "\xD2\xAB" => "\x9E", // ? ()
                        "\xD3\xB3" => "\x9F", // ? ()
                       );
  		return preg_replace('#([\xD0-\xD1])([\x80-\xBF])#se',
                      'isset($table["$0"]) ? $table["$0"] :
                       chr(ord("$2")+("$1" == "\xD0" ? 0x30 : 0x70))
                      ',
                      $str
                     );
	}


/***********************************kernel/lang***********************************/

	//   2012-01-24 16:13:36
    /*
    !!?!!
    */
    // $string (string) - 
 	function tryUtfDecode ($string){
   		$t1 = $this->utf8ToUnicodeEntities($string);
   		$t2 = @strtr($t1, $this->unicode_entities);
   		if (!preg_match("/\&\#[0-9]+\;/", $t2))
     		$string = $t2;
   		return $string;
 	}

	//   2012-02-04 23:53:26
    /*
       -    .
    */
    // $tag (string) - 
  	function NpjSlTranslit($tag){
  		return $this->NpjTranslit($tag) . (($tag[strlen($tag)-1])=="/"?"/":"");
    }

	//   2012-01-11 13:58:35
    /*
     .
    */
    // $lang (string) - 
	function SetLanguage($lang){
   		$this->LoadResource($lang);
   		$this->language = &$this->languages[$lang];
   		setlocale(LC_CTYPE,$this->language["locale"]);
   		$this->language["locale"] = setlocale(LC_CTYPE,0);
   		$this->language["UPPER"]     = "[".$this->language["UPPER_P"]."]";
   		$this->language["UPPERNUM"]  = "[0-9".$this->language["UPPER_P"]."]";
   		$this->language["LOWER"]     = "[".$this->language["LOWER_P"]."]";
   		$this->language["ALPHA"]     = "[".$this->language["ALPHA_P"]."]";
   		$this->language["ALPHANUM"]  = "[0-9".$this->language["ALPHA_P"]."]";
   		$this->language["ALPHANUM_P"]= "0-9".$this->language["ALPHA_P"];
 	}

	//   2012-01-11 13:59:47
    /*
          .    .
    */
    // $lang (string) - 
	function LoadResource($lang){
   		if (!$this->resources[$lang]){
     		$resourcefile = "lang/wakka.".$lang.".php";
     		if (@file_exists($resourcefile)) include($resourcefile);
     		$resourcefile = "lang/wakka.all.php";
     		if (!$this->resources["all"]){
     			if (@file_exists($resourcefile))
     				include($resourcefile);
       			$this->resources["all"] =& $wackoAllResource;
     			if(file_exists("themes/".$this->GetConfigValue("theme")."/useajax.php")) {
        			$resourcefile = "lang/wakka.ajax.php";
     			} else {
        			$resourcefile = "lang/wakka.noajax.php";
     			}
     			if (@file_exists($resourcefile))
     				include($resourcefile);
        		$wackoAllResource = array_merge((array)$wackoAllResource,(array)$wackoAllResource1);
     		}
     		$wackoResource = array_merge($wakkaResource, $this->resources["all"]);
     		$resourcefile = "themes/".$this->config["theme"]."/lang/wakka.".$lang.".php";
     		if (@file_exists($resourcefile))
     			include($resourcefile);
     		$wackoResource = array_merge((array)$wackoResource, (array)$themeResource);
     		$resourcefile = "themes/".$this->config["theme"]."/lang/wakka.all.php";
     		if (@file_exists($resourcefile))
     			include($resourcefile);
     		$wackoResource = array_merge((array)$wackoResource, (array)$themeResource);
     		$this->srvAllLoadResource($lang,$wackoResource);
     		$this->resources[$lang] = $wackoResource;
     		$this->LoadLang($lang);
   		}
 	}

	//   2012-01-11 14:00:46
    /*
       .
    !!   .!!
    */
    // $lang (string) - 
	function LoadLang($lang){
   		if (!isset( $this->languages[$lang] )){
     		$resourcefile = "lang/lang.".$lang.".php";
     		if (@file_exists($resourcefile))
     			include($resourcefile);
     		$this->languages[$lang] = $wackoLanguage;
     		$ue = @array_flip($wackoLanguage["unicode_entities"]);
     		$this->unicode_entities = array_merge($this->unicode_entities, $ue);
     		unset($this->unicode_entities[0]);
   		}
 	}

	//   2012-01-11 14:02:32
    /*
        .
    */
    //  
	function LoadAllLanguages(){
   		if (!$this->GetConfigValue("multilanguage"))
   			return;
   		$langs = $this->AvailableLanguages();
   		foreach ($langs as $lang)
    		$this->LoadLang($lang);
 	}

	//   2012-01-11 14:03:46
    /*
         .
    */
    //  
	function AvailableLanguages(){
  		if (!$this->_langlist){
   			$handle=opendir("lang");
   			while (false!==($file = readdir($handle))) {
     			if ($file != "." && $file != ".." && $file != "wakka.all.php" && $file != "wakka.ajax.php" && $file != "wakka.noajax.php" && !is_dir("lang/".$file) && 1==preg_match("/^wakka.(.*?).php$/",$file,$match)) {
       				$langlist[] = $match[1];
     			}
   			}
   			closedir($handle);
   			$this->_langlist = $langlist;
  		}
  		return $this->_langlist;
 	}

	//   2012-01-11 14:04:35
    /*
        .
    */
    //  
	function DetermineLang(){
   		$langlist = $this->AvailableLanguages();
   		if ($this->GetMethod()=="edit" && $_GET["add"]==1)
     		if ($_REQUEST["lang"] && in_array($_REQUEST["lang"], $langlist))
       			$lang = $_REQUEST["lang"];
     		else
       			$lang = $this->userlang;
   		else
     		$lang = $this->pagelang;
   		return $lang;
 	}

	//   2012-01-11 14:05:31
    /*
        .
    */
    // $lang (string) - 
	function SetPageLang($lang){
  		if (!$lang)
  			return false;
  		$this->pagelang = $lang;
  		$this->SetLanguage($lang);
  		return true;
 	}

	//   2012-01-11 14:06:03
    /*
     .
    */
    //  
	function GetCharset(){
   		$lang = $this->DetermineLang();
   		$this->LoadResource($lang);
   		return $this->languages[$lang]["charset"];
 	}

	//   2012-01-11 14:06:57
    /*
    !!?!!
    */
    // $string (string) - ?
    // $lang (string) - 
	function DoUnicodeEntities($string, $lang){
   		if (!$this->GetConfigValue("multilanguage"))
   			return $string;
   		$_lang = $this->DetermineLang();
   		if ($lang==$_lang)
   			return $string;
   		$this->LoadResource($lang);
   		if (is_array($this->languages[$lang]["unicode_entities"])){
    		return @strtr($string, $this->languages[$lang]["unicode_entities"]);
   		}else
   			return $string;
 	}

	//   2012-01-11 14:08:33
    /*
    !!?!!
    */
    // $source (string) - ?
	function utf8ToUnicodeEntities ($source){
  		$decrement[4] = 240; $decrement[3] = 224;
  		$decrement[2] = 192; $decrement[1] = 0;

  		$shift[1][0] = 0;  $shift[2][0] = 6;
  		$shift[2][1] = 0;  $shift[3][0] = 12;
  		$shift[3][1] = 6;  $shift[3][2] = 0;
  		$shift[4][0] = 18; $shift[4][1] = 12;
  		$shift[4][2] = 6;  $shift[4][3] = 0;

  		$pos = 0;
 		$len = strlen ($source);
  		$encodedString = '';
  		while ($pos < $len){
   			$asciiPos = ord (substr ($source, $pos, 1));
   			if (($asciiPos >= 240) && ($asciiPos <= 255)){
   				// 4 chars representing one unicode character
    			$thisLetter = substr ($source, $pos, 4);
    			$pos += 4;
   			}else
   				if (($asciiPos >= 224) && ($asciiPos <= 239)){
   					// 3 chars representing one unicode character
    				$thisLetter = substr ($source, $pos, 3);
    				$pos += 3;
   				}else
   					if (($asciiPos >= 192) && ($asciiPos <= 223)){
   						// 2 chars representing one unicode character
    					$thisLetter = substr ($source, $pos, 2);
    					$pos += 2;
   					}else{
   						// 1 char (lower ascii)
    					$thisLetter = substr ($source, $pos, 1);
    					$pos += 1;
   					}

   			// process the string representing the letter to a unicode entity
   			$thisLen = strlen ($thisLetter);
   			if ($thisLen>1){
    			$thisPos = 0;
    			$decimalCode = 0;
    			while ($thisPos < $thisLen){
     				$thisCharOrd = ord (substr ($thisLetter, $thisPos, 1));
     				if ($thisPos == 0){
      					$charNum = intval ($thisCharOrd - $decrement[$thisLen]);
      					$decimalCode += ($charNum << $shift[$thisLen][$thisPos]);
     				}else{
      					$charNum = intval ($thisCharOrd - 128);
      					$decimalCode += ($charNum << $shift[$thisLen][$thisPos]);
     				}
     				$thisPos++;
    			}
    			$encodedLetter = "&#". $decimalCode . ';';
   			}else
    			$encodedLetter = $thisLetter;
   			$encodedString .= $encodedLetter;
  		}
  		return $encodedString;
 	}

	//   2012-01-11 14:10:30
    /*
        .
    */
    // $tag (string) - 
    // [$strtolow] (TRAN_LOWERCASE||null) - ?
    // [$donotload] (TRAN_LOAD||null) - ?
	function NpjTranslit($tag, $strtolow = TRAN_LOWERCASE, $donotload=TRAN_LOAD){
   		$_lang = null;
   		if (!$this->GetConfigValue("multilanguage"))
   			$donotload = 1;
   		if (!$donotload)
   			if ($page = $this->LoadPage($tag, "", LOAD_CACHE, LOAD_META)){
      			$_lang = $this->language["code"];
      			if ($page["lang"])
      				$lang = $page["lang"];
      			else
      				$lang = $this->GetConfigValue("language");
      			$this->SetLanguage($lang);
   			}
   		$tag = str_replace( "//", "/", $tag );
   		$tag = str_replace( "-", "", $tag );
   		$tag = str_replace( " ", "", $tag );
   		$tag = str_replace( "'", "_", $tag );
   		$_tag = strtolower( $tag );
   		if ($strtolow)
   			$tag = @strtr( $_tag, $this->NpjMacros );
   		else
    		foreach( $this->NpjMacros as $macro=>$value )
     			while (($pos = strpos($_tag, $macro)) !== false){
       				$_tag = substr_replace( $_tag, $value, $pos, strlen($macro) );
       				$tag = substr_replace( $tag, ucfirst($value), $pos, strlen($macro) );
     			}
   		$tag = @strtr($tag, $this->language["NpjLettersFrom"], $this->language["NpjLettersTo"] );
   		$tag = @strtr($tag, $this->language["NpjBiLetters"] );
   		if ($strtolow)
   			$tag = strtolower($tag);
   		if ($_lang)
     		$this->SetLanguage($_lang);

   		return rtrim($tag, "/");
 	}

	//   2012-01-11 14:11:48
    /*
    !!?!!
      .     .
    */
    // $tag (string) - 
    // $direction (int) - ?
	function Translit($tag, $direction=1) { //deprecated
  		return $tag;
 	}


/***********************************kernel/config***********************************/

	//   2012-01-10 13:59:46
    /*
       .
    */
    // $name (string) -  
	function GetConfigValue($name) {
 		return isset( $this->config[$name] ) ? $this->config[$name] : '';
 	}

	//   2012-01-10 14:02:34
    /*
         .     .
    */
    // $name (string) -  
    // [$lang] (string) - 
    // [$dounicode] (bool) -  
	function GetResourceValue($name, $lang="", $dounicode=true){
   		if (!$this->GetConfigValue("multilanguage"))
   			return $this->resource[$name];
   		if (!$lang && $this->userlang!=$this->pagelang)
   			$lang = $this->userlang;
   		if ($lang!=""){
     		$this->LoadResource($lang);
     		return (is_array($this->resources[$lang][$name]))?$this->resources[$lang][$name]:($dounicode?$this->DoUnicodeEntities($this->resources[$lang][$name], $lang):$this->resources[$lang][$name]);
   		}
   		return $this->resource[$name];
 	}

	//   2012-01-10 14:04:14
    /*
     wiki-   .
    */
    // $name (string) -  
    // [$lang] (string) - 
	function FormatResourceValue($name, $lang=""){
   		$string = $this->GetResourceValue($name, $lang, false);
   		$this->format_safe = false;
   		$string = $this->Format($string);
   		$this->format_safe = true;
   		return $string;
 	}

	//   2012-01-10 14:05:15
    /*
      GetResourceValue
    */
    // $text (string) -  
    function GRV($text) {
     	return $this->GetResourceValue($text);
    }

	//   2012-01-10 14:06:01
    /*
      .   .
    */
    //  
	function GetWakkaName() {
 		return $this->GetConfigValue("wakka_name");
 	}

	//   2012-01-10 14:06:38
    /*
      .
    */
    //  
	function GetWakkaVersion() {
 		return $this->VERSION;
 	}

	//   2012-01-10 14:07:11
    /*
      .
    */
    //  
	function GetWackoVersion() {
 		return $this->WVERSION;
 	}


/***********************************kernel/search***********************************/

	//   2012-02-01 14:19:02
    /*
      . !!   !!
    */
    // $phrase (string) -   
    // $filter () -    ( )
   	function FullTextSearch($phrase,$filter){
  		return $this->LoadAll("select ".$this->pages_meta." from ".$this->config["table_prefix"].
                        "pages where (( match(body) against('".quote($phrase)."') ".
                        "or lower(tag) like lower('%".quote($phrase)."%')) )");
 	}

	//   2012-02-01 14:22:25
    /*
       .
    */
    // $phrase (string) -   
 	function TagSearch($phrase) {
 		return $this->LoadAll("select ".$this->pages_meta." from ".$this->config["table_prefix"]."pages where lower(tag) like binary lower('%".quote($phrase)."%') order by supertag");
 	}

	//   2012-02-01 14:21:18
    /*
       bool
    */
    // $phrase (string) -   
 	function BooleanTextSearch($phrase){
  		return $this->LoadAll("select ".$this->pages_meta.",  match(body) against('".quote($phrase)."' IN BOOLEAN MODE) as score  from ".$this->config["table_prefix"].
                        "pages where ( match(body) against('".quote($phrase)."' IN BOOLEAN MODE))".
                        "order by score desc");
 	}


/***********************************kernel/cookie***********************************/

	//   2012-01-11 14:13:15
    /*
        .
    */
    // $name (string) -  
    // $value (string) - 
	function SetSessionCookie($name, $value) {
 		SetCookie($this->config["cookie_prefix"].$name, $value, 0, "/");
 		$_COOKIE[$this->config["cookie_prefix"].$name] = $value;
 	}

	//   2012-01-11 14:15:02
    /*
       90    .
    */
    // $name (string) -  
    // $value (string) - 
    // $remember (bool) -  
	function SetPersistentCookie($name, $value, $remember = 1) {
 		SetCookie($this->config["cookie_prefix"].$name, $value, time() + ($remember ? 90*24*60*60 : 60 * 60), "/");
 		$_COOKIE[$this->config["cookie_prefix"].$name] = $value;
 	}

	//   2012-01-11 14:16:04
    /*
      (         1 ).
    */
    // $name (string) -  
	function DeleteCookie($name) {
 		SetCookie($this->config["cookie_prefix"].$name, "", 1, "/");
 		$_COOKIE[$this->config["cookie_prefix"].$name] = "";
 	}

	//   2012-01-11 14:16:38
    /*
        .
    */
    // $name (string) -  
	function GetCookie($name) {
 		return $_COOKIE[$this->config["cookie_prefix"].$name];
 	}


/***********************************kernel/message***********************************/

	//   2012-01-11 14:17:43
    /*
      (    alert-)
    */
    // $message (string) - 
	function SetMessage($message) {
 		$_SESSION["message"] = $message;
 	}

	//   2012-01-11 14:22:01
    /*
         -     .     .
    */
    //  
	function GetMessage() {
 		$message = $_SESSION["message"];
 		$_SESSION["message"] = "";
 		return $message;
 	}


/***********************************kernel/link***********************************/

	//   2012-01-24 16:19:05
    /*
    !!?!!
    */
    // $tag (string) - 
    // [$text] (string) -   
    // [$track] (bool) - ?
 	function PreLink($tag, $text = "", $track = 1){
		if (preg_match("/^[\!\.".$this->language["ALPHANUM_P"]."]+$/", $tag))
   			// it's a Wiki link!
     		if ($_SESSION["linktracking"] && $track)
     			$this->TrackLinkTo($this->UnwrapLink( $tag ));
   		return "\xA2\xA2".$tag." ==".($this->format_safe?str_replace(">", "&gt;", str_replace("<", "&lt;", $text)):$text)."\xAF\xAF";
 	}

	//   2012-01-11 14:31:19
    /*
     . !!!!
    */
    // [$method] (string) - 
    // [$tag] (string) - 
    // [$params] (string) - 
    // [$addpage] (bool) -  ?add
    // [$handler] (string) - 
	function Href($method = "", $tag = "", $params = "", $addpage=0, $handler = null){
  		global $userMagicCode;

  		if($handler == null)
  			$handler = $this->handler;

  		$userMagicCodeAdd = "";

  		if($userMagicCode!="")
     		if ($this->config["saveUserMagicCode"] == "1")
        		$userMagicCodeAdd = "_".$userMagicCode.'/';

  		$baseurl = isset($this->config["base_url_sub"])?$this->config["base_url_sub"]:$this->config["base_url"];
  		$href = $baseurl.$userMagicCodeAdd.($handler=='page'?'':($handler.'/')).$this->MiniHref($method, $tag, $addpage);
  		if ($addpage)
  			$params="add=1".($params?"&amp;".$params:"");
  		if ($params)
   			$href .= ($this->config["rewrite_mode"] ? "?" : "&amp;").$params;
  		return $href;
 	}

	//   2012-01-11 14:33:24
    /*
       .
    */
    // $tag (string) - 
    // [$method] (string) - 
    // [$text] (string) -   
    // [$track] (bool) - ?
	function ComposeLinkToPage($tag, $method = "", $text = "", $track = 1){
   		if (!$text)
   			$text = $this->AddSpaces($tag);
   		if ($_SESSION["linktracking"] && $track)
           $this->TrackLinkTo($tag);
   		$saveHandler = $this->handler;
   		$this->handler = 'page';
   		$result = '<a href="'.$this->href($method, $tag).'">'.$text.'</a>';
   		$this->handler = $saveHandler;
   		return $result;
 	}

	//   2012-01-11 14:35:54
    /*
     -    !! ,   =)!!
    */
    // $text (string) - 
	function SlimUrl($text){
  		$text = $this->NpjTranslit($text, TRAN_DONTCHANGE);
  		$text = str_replace("_", "'", $text);
  		if ($this->config["urls_underscores"]==1){
   			$text = preg_replace("/(".$this->language["ALPHANUM"].")(".$this->language["UPPERNUM"].")/","\1\2",$text);
   			$text = preg_replace("/(".$this->language["UPPERNUM"].")(".$this->language["UPPERNUM"].")/","\1\2",$text);
   			$text = preg_replace("/(".$this->language["UPPER"].")(?=".$this->language["UPPER"]."".$this->language["UPPERNUM"].")/","\1",$text);
   			$text = preg_replace("/(".$this->language["UPPER"].")(?=".$this->language["UPPER"]."/)/","\1",$text);
   			$text = preg_replace("/(".$this->language["UPPERNUM"].")(".$this->language["UPPERNUM"].")($|)/","\1\2",$text);
   			$text = preg_replace("//(".$this->language["UPPERNUM"].")/","/\1",$text);
   			$text = str_replace("", "_", $text);
  		}
  		return $text;
 	}

	//   2012-01-16 15:52:34
    /*
       href . !!;)!!
    */
    // [$method] (string) - 
    // [$tag] (string) - 
    // [$addpage] (bool) - 
	function MiniHref($method = "", $tag = "", $addpage = ""){
  		if (!$tag = trim($tag))
  			$tag = $this->tag;
  		if (!$addpage)
  			$tag=$this->SlimUrl($tag);
  		$tag = trim( $tag, "/." );
  		return $tag.($method ? "/".$method : "");
 	}

	//   2012-01-24 16:16:53
    /*
    !!?!!
    */
    // $tag (string) - 
 	function UnwrapLink( $tag ){
   		if ($tag=="/") return "";
   		if ($tag=="!") return $this->context[$this->current_context]?$this->context[$this->current_context]:$this->tag;

   		$newtag = $tag;

   		if (strstr($this->context[$this->current_context], "/"))
     		$root = preg_replace( "/^(.*)\\/([^\\/]+)$/", "$1", $this->context[$this->current_context] );
        else
        	$root = "";
   		if (preg_match("/^\.\/(.*)$/", $tag, $matches))
   			$root="";
   		else
   			if (preg_match("/^\/(.*)$/", $tag, $matches)) {
   				$root = "";
   				$newtag = $matches[1];
   			}else
   				if (preg_match("/^\!\/(.*)$/", $tag, $matches)){
    				$root = $this->context[$this->current_context];
    				$newtag = $matches[1];
   				}else
   					if (preg_match("/^\.\.\/(.*)$/", $tag, $matches)) {
    					$newtag = $matches[1];
    					if (strstr($root, "/"))
       						$root = preg_replace( "/^(.*)\\/([^\\/]+)$/", "$1", $root );
    					else
    						$root = "";
   					}
   		if ($root != "")
   			$newtag= "/".$newtag;
   		$tag = $root.$newtag;
   		$tag = str_replace( "//", "/", $tag );
   		return $tag;
 	}

	//   2012-01-23 14:45:51
    /*
    !!   !!     .
    */
    //  
//A`M AFRAID THIS CODE!!!
function Link($tag, $method = "", $text = "", $track = 1, $safe=0, $linklang="")
 {
   $class = '';   $title = '';  $lang = '';

   $text = str_replace('"', "&quot;", $text);

   if (!$safe)
     $text = htmlspecialchars($text, ENT_NOQUOTES);

   if ($linklang)
     $this->SetLanguage($linklang);

   $imlink = false;
   if (preg_match("/^[\.\-".$this->language["ALPHANUM_P"]."]+\.(gif|jpg|jpe|jpeg|png)$/i", $text))
     $imlink = $this->GetConfigValue("root_url")."/images/".$text;
   else if (preg_match("/^(http|https|ftp):\/\/([^\\s\"<>]+)\.(gif|jpg|jpe|jpeg|png)$/i", preg_replace("/<\/?nobr>/", "" ,$text)))
     $imlink = $text = preg_replace("/(<|\&lt\;)\/?span( class\=\"nobr\")?(>|\&gt\;)/", "" ,$text);
   $url = '';

   if (preg_match("/^(mailto[:])?[^\\s\"<>&\:]+\@[^\\s\"<>&\:]+\.[^\\s\"<>&\:]+$/", $tag, $matches))
   {// this is a valid Email
     $url = ($matches[1]=="mailto:" ? $tag : "mailto:".$tag);
     $title = $this->GetResourceValue("MailLink");
     $icon = $this->GetResourceValue("mailicon");
     $tpl = "email";
   }
   else if (preg_match("/^#/", $tag))
   {// html-anchor
     $url = $tag;
     $tpl = "anchor";
   }
   else if (preg_match("/^[\.\-".$this->language["ALPHANUM_P"]."]+\.(gif|jpg|jpe|jpeg|png)$/i", $tag))
   {// image
     $text = preg_replace("/(<|\&lt\;)\/?span( class\=\"nobr\")?(>|\&gt\;)/", "" ,$text);
     return "<img src=\"".$this->GetConfigValue("root_url")."/images/".$tag."\" ".($text?"alt=\"".$text."\" title=\"".$text."\"":"")." />";
   }
   else if (preg_match("/^(http|https|ftp|file):\/\/([^\\s\"<>]+)\.(gif|jpg|jpe|jpeg|png)$/i", $tag))
   {// external image
     $text = preg_replace("/(<|\&lt\;)\/?span( class\=\"nobr\")?(>|\&gt\;)/", "" ,$text);
     return "<img src=\"".str_replace("&", "&amp;", str_replace("&amp;", "&", $tag))."\" ".($text?"alt=\"".$text."\" title=\"".$text."\"":"")." />";
   }
   else if (preg_match("/^(http|https|ftp|file):\/\/([^\\s\"<>]+)\.(rpm|gz|tgz|zip|rar|exe|doc|xls|ppt|tgz|pdf)$/", $tag))
   {// this is a file link
     $url = str_replace("&", "&amp;", str_replace("&amp;", "&", $tag));
     $title= $this->GetResourceValue("FileLink");
     $icon = $this->GetResourceValue("fileicon");
     $tpl = "file";
   }
   else if (preg_match("/^(http|https|ftp|file|nntp|telnet):\/\/([^\\s\"<>]+)$/", $tag))
   {// this is a valid external URL
     $url = str_replace("&", "&amp;", str_replace("&amp;", "&", $tag));
     if (!stristr($tag,$this->config["base_url"]))
     {
      $title= $this->GetResourceValue("OuterLink2");
      $icon = $this->GetResourceValue("outericon");
     }
     $tpl = "outerlink";
   }
   else if (preg_match("/^(_?)file:([^\\s\"<>\(\)]+)$/", $tag, $matches))
   {// this is a file:
     $noimg = $matches[1];
     $thing = $matches[2];
     $arr = explode("/", $thing);
//echo($thing."<br />");
     if (count($arr)==1)                // file:shit.zip
     {
//    echo ($thing."<br />");
       //try to find in global storage and return if success
       $desc = $this->CheckFileExists($thing);
//    print_r($desc);
       if (is_array($desc))
       {
         $title = $desc["description"]." (".ceil($desc["filesize"]/1024)."&nbsp;".$this->GetResourceValue("UploadKB").")";
         if ($desc["picture_w"] && !$noimg)
         {
           if (!$text) $text = $title;
           return "<img src=\"".$this->GetConfigValue("root_url").$this->config["upload_path"]."/".$thing."\" ".($text?"alt=\"".$text."\" title=\"".$text."\"":"")." width='".$desc["picture_w"]."' height='".$desc["picture_h"]."' />";
         }
         $url = $this->GetConfigValue("root_url").$this->config["upload_path"]."/".$thing;
         $icon = $this->GetResourceValue("fileicon");
         $imlink = false;
         $tpl = "localfile";
       }
     }
     if (count($arr)==2 && $arr[0]=="") // file:/shit.zip
     {
       //try to find in global storage and return if success
       $desc = $this->CheckFileExists($arr[1]);
       if (is_array($desc))
       {
         $title = $desc["description"]." (".ceil($desc["filesize"]/1024)."&nbsp;".$this->GetResourceValue("UploadKB").")";
         if ($desc["picture_w"] && !$noimg)
         {
           if (!$text) $text = $title;
           return "<img src=\"".$this->GetConfigValue("root_url").$this->config["upload_path"]."/".$thing."\" ".($text?"alt=\"".$text."\" title=\"".$text."\"":"")." width='".$desc["picture_w"]."' height='".$desc["picture_h"]."' />";
         }
         $url = $this->GetConfigValue("root_url").$this->config["upload_path"].$thing;
         $imlink = false;
         $icon = $this->GetResourceValue("fileicon");
         $tpl = "localfile";
       }
       else //404
       {
         $tpl = "wlocalfile";
         $title = "404: /".$this->config["upload_path"].$thing;
         $url = "404";
       }

     }
     if (!$url)
     {
       $file = $arr[count($arr)-1];
       unset($arr[count($arr)-1]);
       $_pagetag = implode("/", $arr);
       if ($_pagetag=="") $_pagetag = "!/";
       //unwrap tag (check !/, ../ cases)
       $pagetag = $this->UnwrapLink( $_pagetag );
       //try to find in local $tag storage
       $desc = $this->CheckFileExists($file, $pagetag);
       if (is_array($desc))
       {
        //check 403 here!
         if ($this->IsAdmin() || ($desc["id"] && ($this->GetPageOwner($this->tag) == $this->GetUserName())) ||
             ($this->HasAccess("read", $pagetag)) || ($desc["user"] == $this->GetUserName()) )
         {
           $title = $desc["description"]." (".ceil($desc["filesize"]/1024)."&nbsp;".$this->GetResourceValue("UploadKB").")";
           if ($desc["picture_w"] && !$noimg)
           {
             if (!$text) $text = $title;
             return "<img src=\"".$this->config["base_url"].trim($pagetag,"/")."/files".($this->config["rewrite_mode"] ? "?" : "&amp;")."get=".$file."\" ".($text?"alt=\"".$text."\" title=\"".$text."\"":"")." width='".$desc["picture_w"]."' height='".$desc["picture_h"]."' />";
           }
           $url = $this->config["base_url"].trim($pagetag,"/")."/files".($this->config["rewrite_mode"] ? "?" : "&amp;")."get=".$file;
           $imlink = false;
           $icon = $this->GetResourceValue("fileicon");
           $tpl = "localfile";
         }
         else //403
         {
           $url = $this->config["base_url"].trim($pagetag,"/")."/files".($this->config["rewrite_mode"] ? "?" : "&amp;")."get=".$file;
           $imlink = false;
           $icon = $this->GetResourceValue("lockicon");
           $tpl = "localfile";
           $class = "denied";
         }
       }
       else //404
       {
         $tpl = "wlocalfile";
         $title = "404: /".trim($pagetag,"/")."/files".($this->config["rewrite_mode"] ? "?" : "&amp;")."get=".$file;
         $url = "404";
       }

     }
     //forgot 'bout 403
   }
   else if ($this->GetConfigValue("disable_tikilinks")!=1 && preg_match("/^(".$this->language["UPPER"].$this->language["LOWER"].$this->language["ALPHANUM"]."*)\.(".$this->language["ALPHA"].$this->language["ALPHANUM"]."+)$/s", $tag, $matches))
   {// it`s a Tiki link!
     if (!$text) $text = $this->AddSpaces($tag);
     $tag = "/".$matches[1]."/".$matches[2];
     return $this->Link( $tag, $method, $text, $track, 1);
   }
   else if (preg_match("/^([[:alnum:]]+)[:]([".$this->language["ALPHANUM_P"]."\-\_\.\+\&\=\#]*)$/", $tag, $matches))
   {// interwiki
     /*$parts = explode("/",$matches[2]);
     for ($i=0;$i<count($parts);$i++) $parts[$i] = str_replace("%23", "#", urlencode($parts[$i]));
     $url = $this->GetInterWikiUrl($matches[1], implode("/",$parts));
     $icon = $this->GetResourceValue("iwicon");
     $tpl = "interwiki";
     if ($linklang)
       $text = $this->DoUnicodeEntities($text, $linklang);  */
   }
   else if (preg_match("/^([\!\.".$this->language["ALPHANUM_P"]."]+)(\#[".$this->language["ALPHANUM_P"]."\_\-]+)?$/", $tag, $matches))
   {// it's a Wiki link!
     $tag = $otag = $matches[1];
     $untag = $unwtag = $this->UnwrapLink( $tag );

     $regex_handlers = '/^(.*?)\/('.$this->GetConfigValue("standart_handlers").')\/(.*)$/i';
     $ptag = $this->NpjTranslit($unwtag);
     $handler = null;
     if (preg_match( $regex_handlers, "/".$ptag."/", $match ))
     {
       $handler = $match[2];
       $ptag = $match[1];
       $unwtag = "/".$unwtag."/";
       $co = substr_count($_ptag, "/") - substr_count($ptag, "/");
       for ($i=0; $i<$co; $i++) $unwtag = substr($unwtag,0,strrpos($unwtag,"/"));
       if ($handler)
       {
        $opar = "/".$untag."/";
        for ($i=0; $i<substr_count($data, "/")+2; $i++) $opar = substr($opar,strpos($opar,"/")+1);
        $params = explode("/", $opar); //there're good params
       }
     }
     $unwtag = trim($unwtag, "/.");
     $unwtag = str_replace( "_", "", $unwtag );
     if ($handler) $method = $handler;
     //if ($tag=="!/edit") echo "{".$tag."|".$untag."|".$unwtag."|".$handler."}";

     $thispage = $this->LoadPage($unwtag, "", LOAD_CACHE, LOAD_META);
     if (!$thispage && $linklang)
     {
       $this->SetLanguage($linklang);
       $lang = $linklang;
       $thispage = $this->LoadPage($unwtag, "", LOAD_CACHE, LOAD_META);
     }
     if ($thispage)
     {
      $_lang = $this->language["code"];
      if ($thispage["lang"]) $lang = $thispage["lang"];
      else $lang = $this->GetConfigValue("language");

      $this->SetLanguage($lang);
      $supertag = $this->NpjTranslit($tag);
//       echo "<h1>".$_lang."|".$lang."|".$supertag."</h1>";
     }
     else
     {
      $supertag = $this->NpjTranslit($tag, TRAN_LOWERCASE, TRAN_DONTLOAD);
     }


     $aname="";
     if (substr($tag,0,2)=="!/")
     {
      $icon = $this->GetResourceValue("childicon");
      $page0 = substr($tag,2);
      $page = $this->AddSpaces($page0);
      $tpl = "childpage";
     }
     else if (substr($tag,0,3)=="../")
     {
      $icon = $this->GetResourceValue("parenticon");
      $page0 = substr($tag,3);
      $page = $this->AddSpaces($page0);
      $tpl = "parentpage";
     }
     else if (substr($tag,0,1)=="/")
     {
      $icon = $this->GetResourceValue("rooticon");
      $page0 = substr($tag,1);
      $page = $this->AddSpaces($page0);
      $tpl = "rootpage";
     }
     else
     {
      $icon = $this->GetResourceValue("equalicon");
      $page0 = $tag;
      $page = $this->AddSpaces($page0);
      $tpl = "equalpage";
     }
     if ($imlink) $text="<img src=\"$imlink\" border=\"0\" title=\"$text\" />";
     if ($text)
     {
      $tpl = "descrpage";
      $icon = "";
     }
     $pagepath = substr($untag,0, strlen($untag) - strlen($page0));
     $anchor = isset( $matches[2] ) ? $matches[2] : '';
     $tag = $unwtag;
     if ($_SESSION["linktracking"] && $track) $this->TrackLinkTo($tag);

     if (!isset( $this->first_inclusion[ $supertag ] )) $aname = "name=\"".$supertag."\"";
     $this->first_inclusion[ $supertag ] = 1;

     if ($thispage)
     {
       $saveHandler = $this->handler;
       $this->handler = 'page';
       $pagelink = $this->href($method, $thispage["tag"]).$this->AddDateTime($tag).($anchor?$anchor:"");
       $this->handler = $saveHandler;
       //$pagelink1 = quote($this->href("dynamic", $thispage["tag"]).$this->AddDateTime($tag).($anchor?$anchor:""));
       $pagelink1 = quote($pagelink);
       //$pagelink1 = quote('wakka.php?wakka='.$this->MiniHref($method, $thispage["tag"]).$this->AddDateTime($tag));
       if ($this->config["hide_locked"]) $access = $this->HasAccess("read",$tag);
       else
       {
        $access = true;
        $this->_acl["list"]=="*";
       }
       if (!$access)
       {
        $class="denied";
        $accicon = $this->GetResourceValue("lockicon");
       }
       else if ($this->_acl["list"]=="*")
       {
        $class = "";
        $accicon = "";
       }
       else
       {
        $class="customsec";
        $accicon = $this->GetResourceValue("keyicon");
       }
       // language
//        echo "<< ".$lang.":".$_lang.":".$otag."|$linklang >>";
//        if ($lang!=$this->pagelang)
//        {
        if ($text==trim($otag,"/") || $linklang)
          $text = $this->DoUnicodeEntities($text, $lang);
//         echo "< ".$text.":".$otag." >";
        $page = $this->DoUnicodeEntities($page, $lang);
//        }
      if (isset($_lang)) $this->SetLanguage($_lang);
     }
     else
     {
      $tpl = ($this->method=="print" || $this->method=="msword"?"p":"")."w".$tpl;
      $pagelink = $this->href("edit", $tag, $lang?"lang=".$lang:"", 1);
      $accicon = $this->GetResourceValue("wantedicon");
      $title = $this->GetResourceValue("CreatePage");
      if ($linklang)
      {
        $text = $this->DoUnicodeEntities($text, $linklang);
        $page = $this->DoUnicodeEntities($page, $linklang);
      }
     }

     $icon = str_replace("{theme}", $this->GetConfigValue("theme_url"), $icon);
     $accicon = str_replace("{theme}", $this->GetConfigValue("theme_url"), $accicon);
     $res = $this->GetResourceValue("tpl.".$tpl);
     $text = trim($text);
     if ($res)
     {
     //todo: pagepath
      //echo $res;
      $aname = str_replace("/", ".", $aname);
      $res = str_replace("{aname}",  $aname,  $res);
      $res = str_replace("{icon}",   $icon,   $res);
      $res = str_replace("{accicon}",$accicon,$res);
      $res = str_replace("{class}",  $class,  $res);
      $res = str_replace("{title}",  $title,  $res);
      $res = str_replace("{pagelink}", $pagelink, $res);
      $res = str_replace("{pagelink1}", $pagelink1, $res);
      $res = str_replace("{pagepath}", $pagepath, $res);
      $res = str_replace("{page}",   $page,  $res);
      $res = str_replace("{text}",   $text,  $res);
      $res = str_replace("{baseurl}",   $this->config["base_urlm"],  $res);

//      if ($linklang)  {echo("{aname}".  $aname);echo("{icon}".   $icon);echo("{accicon}".$accicon);echo("{class}".  $class);echo("{title}".  $title);echo("{pagelink}". $pagelink);echo("{pagepath}". $pagepath);echo("{page}".   $page);echo("{text}".   $text);}

      if (!$text) $text = htmlspecialchars($tag, ENT_NOQUOTES);
      if ($this->GetConfigValue("youarehere_text"))
      if ($this->NpjTranslit($tag) == $this->NpjTranslit($this->context[$this->current_context]))
        $res = str_replace("####", $text, $this->GetConfigValue("youarehere_text"));
      return $res;
     }
     die ("ERROR: no tpl '$tpl'!");
   }
   if (!$text) $text = htmlspecialchars($tag, ENT_NOQUOTES);
   if ($url)
   {
    if ($imlink) $text="<img src=\"$imlink\" border=\"0\" title=\"$text\" />";
    $icon = str_replace("{theme}", $this->GetConfigValue("theme_url"), $icon);
    $res = $this->GetResourceValue("tpl.".$tpl);
    if ($res)
    {
     if (!$class) $class="outerlink";
     $res = str_replace("{icon}",  $icon,  $res);
     $res = str_replace("{class}", $class, $res);
     $res = str_replace("{title}", $title, $res);
     $res = str_replace("{url}",   $url,   $res);
     $res = str_replace("{urlen}",   rawurlencode($url),   $res);
     $res = str_replace("{text}",  $text,  $res);
     $res = str_replace("{baseurl}",   $this->config["base_urlm"],  $res);
     return $res;
    }
   }
   //echo ("<br>".$tag."<br>");
   //die("^([[:alnum:]]+)[:]([".$this->language["ALPHANUM_P"]."\-\_\.\+\&\=]*)$");
   return $text;
 }


/***********************************kernel/names***********************************/

	//   2012-01-12 18:40:02
    /*
    ,     .
    */
    // $text (string) - 
    function IsReservedName($text) {
    	$reserved = array("admins", "authors", "pupils", "teachers", "writers", "moderators", "moderator", "admin", "siteadmin" );
    	if(in_array(strtolower($text), $reserved)) {
      		return true;
    	}
    	return false;
    }

	//   2012-01-12 18:43:12
    /*
    ,     . //    .//
    */
    // $text (string) - 
    function IsLegalName($text) {
   	if($this->config["user_name_policy"]) {
      		if($this->config["user_name_policy"] == "local") {
        		$big = str_replace("\_/'-", "", $this->language["ALPHANUM"]);
        		$result = preg_match("/^".$big.$this->language["ALPHANUM"]."*$/", $text);
      		}
      		if($this->config["user_name_policy"] == "english") {
      			$smtext = strtolower($text);
      			if($smtext == "admins") return 0;
      			if($smtext == "authors") return 0;
      			if($smtext == "simple") return 0;
        		$result = preg_match("/^[A-Za-z][0-9A-Za-z\_-]*$/", $text);
      		}
   	} else {
     		// WikiName
     		$result = preg_match("/^".$this->language["UPPER"].$this->language["LOWER"]."+".$this->language["UPPERNUM"].$this->language["ALPHANUM"]."*$/", $text);
   	}	
   	return $result;
    }

	//   2012-01-12 18:45:25
    /*
     , -      .
    */
    //  
    function GetErrorLegalName() {
   	if($this->config["user_name_policy"]) {
      		if($this->config["user_name_policy"] == "local") 
        		$result = $this->GetResourceValue("MustBeLocalName");      
     		 if($this->config["user_name_policy"] == "english")
        		$result = $this->GetResourceValue("MustBeEnglishName");      
   	} else 
     		$result = $this->GetResourceValue("MustBeWikiName");
   
   	return $result;
    }

	//   2012-01-24 16:31:00
    /*
       -?
    */
    // $text (string) - 
	function IsWikiName($text) { 
		return preg_match("/^".$this->language["UPPER"].$this->language["LOWER"]."+".$this->language["UPPERNUM"].$this->language["ALPHANUM"]."*$/", $text);
	}


/***********************************kernel/actions***********************************/

	//   2012-01-12 18:47:07
    /*
           id.
    */
    // $pgid (int) - id 
    function RemoveActions($pgid) {
     	$this->Query('DELETE FROM '.$this->config["table_prefix"]."actions WHERE page_id='".quote($pgid)."'");
    }

	//   2012-01-12 18:51:42
    /*
    ,        .
    */
    // $action (string) -  
    // $pageid (int) - id 
    // [$cond] (string) -   ( AND `option1` LIKE '123456')
    function CanAction($action,$pageid,$cond="") {
    	return $this->Loadsingle("SELECT * FROM ".$this->config["table_prefix"]."actions WHERE actiontype='".quote($action)
    							."' AND page_id='".quote($pageid)."' ".$cond);
    }

	//   2012-01-23 14:57:56
    /*
       .!!!!
    */
    // $action (string) -  
    // $params (array) -  
    // $forceLinkTracking (bool) - !!   ,      !!
    function Action($action, $params, $forceLinkTracking = 0){
   	$action = trim($action);   
   	$curdir = getcwd();
   	$result = $this->IncludeBuffered(strtolower($action).".php", "<i>Unknown action \"".htmlspecialchars($action)."\"</i>", $params, $this->config["action_path"]); 
   	$this->NoCache();
   	return $result;
    }

	//   2012-01-23 15:00:44
    /*
           . //+          .//
    */
    // $action (string) -  
    function CanThisPageAction($action) {
     	$canact = $this->CanAction($action,$this->page["id"]);
     	if($this->IsAdmin()) {
         	if($canact!="") {
            	if($_GET["del".$action]) {
               		$this->Query("DELETE FROM ".$this->config["table_prefix"]."actions WHERE id='".quote($canact["id"])."'");
               		$this->SetMessage("Action $action has been uninstalled.");
               		$this->redirect($this->href());
            	} else {
               		echo "<div align='center'>Action $action installed. <a href=\"".$this->Href("","","del".$action."=1")."\">Uninstall</a></div><br />";
            	}
         	} else {
            	if($_GET["add".$action]) {
               		$this->Query("INSERT INTO ".$this->config["table_prefix"]."actions SET page_id='".quote($this->page["id"])."', actiontype='".quote($action)."'");
               		$this->SetMessage("Action $action has been installed.");
               		$this->redirect($this->href());
            	} else {
               		echo "<div align='center'>Action $action not installed. <a href=\"".$this->Href("","","add".$action."=1")."\">Install</a></div><br />";
            	}

         	}
     	}
     	return $canact || $this->cur_security;
    }


/***********************************kernel/extensions***********************************/

	//   2012-01-22 16:11:25
    /*
    ,    .
    */
    // $name (sring) -  
    function srvIsInstalled($name) {
    	$res = $this->srvLoadAll();
    	if($res!="") {
      		foreach($res as $serv)
        		if($serv["name"]==$name) return true;
    	}
    	return false;
    }

	//   2012-01-22 16:12:06
    /*
      srvIsInstalled
    */
    // $name (sring) -  
    function IsServiceInstalled($name) {
    	return $this->srvIsInstalled($name);
    }

	//   2012-01-22 16:12:50
    /*
      srvIsInstalled
    */
    // $name (sring) -  
    function IsService($serv) {
     	return $this->srvIsInstalled($serv);
    }

	//   2012-01-22 16:08:23
    /*
    ,       .
    */
    // $servicename (sring) -  
    function srvIsAllowed($servicename) {
    	if(!$this->config["array_allowed_exts"])
      		$this->config["array_allowed_exts"] = explode(',',$this->config["allowed_extensions"]);

    	return ($this->config["allowed_extensions"]=="all") ||
    		   (array_search($servicename,$this->config["array_allowed_exts"])!==false);
    }

	//   2012-01-22 16:09:42
    /*
      , ,   ,   .
    */
    //  
    function srvLoadAll() {
    	if ($this->ext_services == "") {
      		$res=$this->LoadAll("SELECT * FROM ".$this->config["table_prefix"]."services");
      		$res1 = array();
      		$allowed = explode(',',$this->config["allowed_extensions"]);

      		foreach($res as $service) {
        		if($this->srvIsAllowed($service["name"]))
           			$res1[] = $service;

      		}
      		$this->ext_services = $res1;
    	}
    	return $this->ext_services;
    }

	//   2012-01-22 16:10:01
    /*
          .
    */
    //  
    function srvForceLoadAll() {
    	$this->ext_services=$this->LoadAll("SELECT * FROM ".$this->config["table_prefix"]."services");
    	return $this->ext_services;
    }

	//   2012-01-22 16:26:01
    /*
     .
    */
    // $serv_name (sring) -  
    function fullInstallExtension($serv_name) {
      	if($resObject = $this->srvFactoryNoAccess($serv_name)) {
         	if($this->srvInstallService($serv_name,array())) {
           		if(file_exists('extensions/'.$serv_name.'/site_template_data')) {
              		global $crossSiteName;

              		@mkdir('sites/'.$crossSiteName.'/data/'.$serv_name, 0777);
              		@chmod('sites/'.$crossSiteName.'/data/'.$serv_name, 0777);
              		@f_copy('extensions/'.$serv_name.'/site_template_data','sites/'.$crossSiteName.'/data/'.$serv_name);
           		}
           		$this->clearEventCache();
           		$this->srvRunOne($resObject, "onPostInstallFiles", array());
           		$this->srvForceLoadAll();
           		return true;
         	} else {
           		return false;
         	}
       	} else {
         	if(file_exists('extensions/'.$serv_name.'/run/install.php'))
           		include('extensions/'.$serv_name.'/run/install.php');
         	$this->Query("INSERT ".$this->config["table_prefix"]."services SET name='".quote($serv_name)."', options=''");
         	$this->srvForceLoadAll();
         	return true;
       	}
    }

	//   2012-01-22 16:27:41
    /*
     -  .
    */
    // $servname (string) -  
    // $filename (string) -  
    function srvRunFile($servname,$filename) {
       	if(file_exists('extensions/'.$servname.'/run/'.$filename.'.php')) {
          	include('extensions/'.$servname.'/run/'.$filename.'.php');
          	return true;
       	} else {
          	return false;
       	}
    }

	//   2012-01-22 16:29:14
    /*
       -.
    */
    // $servname (string) -  
    // $filename (string) -  
    function srvRunFileContent($servname,$filename) {
     	ob_start();
     	$this->srvRunFile($servname,$filename);
     	$output = ob_get_contents();
     	ob_end_clean();
     	return $output;
    }

	//   2012-01-22 16:32:29
    /*
     - ##$filename##   .
    */
    // $filename (string) -  
    function srvAllRunFile($filename) {
    	$res=$this->srvLoadAll();
	   	$cacheFileName = 'sites/'.$this->_crossSiteName.'/cache_events/'.$filename.'.php';
    	if(!file_exists($cacheFileName)) {
       		$fd = fopen($cacheFileName,'w+');
       		fwrite($fd,"<?php\n");
       		fwrite($fd,"  // This is an autogenerated file for event processing (see classes/kernel.php::srvAllRunFile\n");
       		foreach($res as $service) {
          		$servname = $service["name"];
          		if(file_exists('extensions/'.$servname.'/run/'.$filename.'.php'))
             		fwrite($fd,"  include('".'extensions/'.$servname.'/run/'.$filename.'.php'."');\n");

       		}
       		fwrite($fd,"?>");
       		fclose($fd);
    	}
    	include($cacheFileName);
    }

	//   2012-01-22 16:34:15
    /*
       ,    ,   .
    */
    //  
    function srvClearCacheEvents() {
     	$this->utilClearFolder('sites/'.$this->_crossSiteName.'/cache_events','.php');
    }

	//   2012-01-22 16:36:52
    /*
      js-   .
    */
    //  
    function srvAllMakeJS() {
     	$cont = "";
     	$res=$this->srvLoadAll();
     	foreach($res as $service) {
       		$servname = $service["name"];
       		$cont .= $this->srvRunFileContent($servname,'makejs');
     	}
     	$fp = fopen($this->getSiteDataPath().'xml/autoext.js','w');
     	fwrite($fp,$cont);
     	fclose($fp);
    }

	//   2012-01-22 16:40:40
    /*
          .
    */
    // $lang (string) - 
    // $wackoResource (object) -   
    function srvAllLoadResource($lang,&$wackoResource) {
     	$res=$this->srvLoadAll();
     	foreach($res as $service) {
       		$servname = $service["name"];
       		if(file_exists('extensions/'.$servname.'/lang/wakka.'.$lang.'.php')) {
          		include('extensions/'.$servname.'/lang/wakka.'.$lang.'.php');
          		$wackoResource = array_merge((array)$wackoResource, (array)$serviceResource);
       		}
     	}
    }


/***********************************kernel/format***********************************/

	//   2012-01-23 15:02:14
    /*
       .
    */
    // $text (string) - 
    // $formatter (string) -  
    // $options (string) -  
 	function _Format($text, $formatter, &$options){
   		$text = $this->IncludeBuffered("formatters/".$formatter.".php",
     			"<i>Formatter \"".htmlspecialchars($formatter)."\" not found</i>", compact("text", "options"));
   		if ($formatter == "wacko" && $this->GetConfigValue("default_typografica"))
      		$text = $this->IncludeBuffered("formatters/typografica.php", "<i>Formatter \"$formatter\" not found</i>", compact("text"));
   		return $text;
 	}

	//   2012-01-22 16:46:44
    /*
       .
    */
    // $text (string) - 
    // [$formatter] (string) -  
    // [$options] (string) -  
 	function Format($text, $formatter = "wakka", $options = ""){
   		return $this->_Format($text, $formatter, $options);
 	}


/***********************************kernel/ajax***********************************/

	//   2012-01-23 15:07:37
    /*
          .
    */
    // $elem (string) -   
    // $forceLinkTracking (bool) - ?  
    function ajxElement($elem, $forceLinkTracking = 0){
      	$elem = trim($elem);
      	$result = $this->IncludeBuffered(strtolower($elem).".php", "<i>Unknown block \"".strip_tags($elem)."\"</i>", "", "themes/".$this->GetConfigValue("theme")."/elements");
      	return $result;
    }

	//   2012-01-23 15:08:06
    /*
         AJAX- .
    */
    // $id (string) - id 
    // $content (string) -   
    // $timeout (int) -   0,     (    )
    function ajxDynAction($id, $content, $timeout=0) {
      	echo "<div id='".$id."'>";
        $this->StartVirtual();
        echo $content;
        if($timeout!=0) $this->ajxAddJs("setTimeout(\"doDyn('','','".$id."','','');\",".$timeout.");");
        $this->FinishVirtual($id);
     	echo "</div>";
    }

	//   2012-01-22 23:29:50
    /*
            .    -  .
    */
    //  
    function ajxElementsAllRun(){
      	global $_RESULT;

      	$allElements = array();
      	$dir_pointer=opendir("themes/".$this->GetConfigValue("theme")."/elements");
      	while ($res = readdir($dir_pointer)) {
      		if(strstr($res,'.php')) {
         		$res1 = str_replace(".php","",$res);
         		$allElements[$res1] = $this->ajxElement($res1);
      		}
      	}
      	return $allElements;
    }

	//   2012-01-22 23:33:57
    /*
          AJAX.     FinishVirtual.
    */
    //  
    function StartVirtual() {
     	ob_start();
    }

	//   2012-01-22 23:36:04
    /*
        AJAX.  ,    StartVirtual  FinishVirtual ,  ,     AJAX   ##$kname##,   .
    */
    // $kname (string) -  
    // $echoResult (bool) -   
    function FinishVirtual($kname, $echoResult = true) {
     	GLOBAL $_RESULT;
     	$output = ob_get_contents();
     	ob_end_clean();
     	if($echoResult) {
        	echo $output;
     	}
     	foreach($this->aactions as $key => $val) {
          	if($val==$kname) {
              	$_RESULT[$kname] = $output;
              	unset($this->aactions[$key]);
          	}
      	}
    }

	//   2012-01-22 23:32:09
    /*
    ,       AJAX
    */
    //  
    function IsAjax() {
     	return $_GET["sender"]=="AJAX";
    }

	//   2012-01-22 23:33:05
    /*
      AJAX-       .
    */
    // $elem (string) -   
    function ajxPhpElement($element) {
     	global $_RESULT;

     	$_RESULT[$element]=$this->ajxElement($element);
    }

	//   2012-01-23 15:08:51
    /*
        JS    ,  AJAX  ,  . ** **
    */
    // $oper (string) - js- (  script)
    function AddJs($oper) {
     	if ($this->IsAjax()) {
       		GLOBAL $_RESULT;
       		$_RESULT["ajaxsysmsg"] .= $oper;
     	} else {
        	echo '	<script language="JavaScript" type="text/javascript">
            			ajax_content_mod += \''.quote($oper).'\';
            		</script>';
     	}
    }

	//   2012-01-22 23:39:16
    /*
       AJAX,          .
    */
    //  
    function Arefresh() {
     	if ($this->IsAjax()) {
       		$this->AddJs("doDyn('',thelements,'','');");
     	} else {
       		$this->redirect($this->href());
     	}
    }

	//   2012-01-23 15:09:37
    /*
     ,      AJAX-.
    */
    // $href (string) - url,    
    // $action (string) -  -,    
    // $text (string) -  
    // $form (string) - id ,    
    // $statuselem (string) - id div-,     
	function ajxHref($href, $action, $text, $form = "", $statuselem = "") {
     		return '<a href="'.$href.'" onclick="return doDyn(\''.quote($href)."','','".$action."','".$form."','".$statuselem."')\">".$text."</a>";
 	}

	//   2012-01-22 23:41:10
    /*
      AddJs
    */
    // $oper (string) - js- (  script)
    function ajxAddJs($oper) {
     	$this->AddJs($oper);
    }

	//   2012-02-02 17:43:37
    /*
     ,   ,   AJAX-.
    */
    // $id (string) -  id  
    // $thref (string) -     ,    
    // $actref (string) -  -  ,    
    // [$statuselem] (string) - id div-,     
	function ajxFormOpen($id,$thref,$actref,$statuselem = "ajax_loading") {
     		return '<form id="'.$id.'" name="'.$id.'" method="GET" onsubmit="return doDyn('."'','".quote($thref)."','".$actref."','".$id."','".$statuselem."');\">";
   	}


/***********************************kernel/virtualform***********************************/

	//   2012-01-22 16:51:08
    /*
          .
    */
    // $name (string) -  
    // $type (string) -  
    // $value ($type) -  
    function vfrmField($name,$type,$value) {
      	$this->vfrm = array();
      	$this->vfrm["state"] = "field";
      	$this->vfrm["name"] = $name;
      	$this->vfrm["value"] = $value;
      	$str = $this->Format('vfrm'.$type.'','post_wacko');
      	$this->vfrm = array();
      	return $str;
    }

	//   2012-01-22 16:52:12
    /*
          ##$name##      ##$type##.
    */
    // $type (string) -  
    // $name (string) -  
    function vfrmProcess($type,$name) {
      	$this->vfrm = array();
      	$this->vfrm["state"] = "process";
      	$this->vfrm["name"] = $name;
      	$str = $this->Format('vfrm'.$type.'','post_wacko');
      	$this->vfrm = array();
      	return $str;
    }

	//   2012-01-22 16:53:16
    /*
      ,  ,    ,      (##vfrm*.php##).   ##field##,    , ##process##     .
    */
    //  
    function vfrmActionState() {
     	return $this->vfrm["state"];
    }


/***********************************kernel/idgen***********************************/

	//   2012-01-22 16:55:10
    /*
       -       ,  ,   cntGet,    .
    */
    // $num (int) -   
    function cntReserve($num) {
      	$this->cntid++;
      	$this->cntarr[$this->cntid]['base'] = $this->cntmax;
      	$this->cntarr[$this->cntid]['cur'] = $num;
      	$this->cntmax += $num;
      	return $this->cntid;
    }

	//   2012-01-22 16:56:33
    /*
         ,   cntReserve.       ,  die();
    */
    // $id (int) - ,  cntReserve
    function cntGet($id) {
      	if (0>=$this->cntarr[$id]['cur']) {
          	echo 'Error in cntGet: too much identificators';
          	die();
      	}
      	$res = $this->cntarr[$id]["base"]+$this->cntarr[$id]["cur"];
      	$this->cntarr[$id]["cur"]--;
      	return $res;
    }

	//   2012-01-22 16:57:00
    /*
       .        ,        1 .
    */
    //  
    function cntGetOne() {
      	$this->cntmax++;
      	return $this->cntmax;
    }


/***********************************kernel/smarty***********************************/

	//   2012-01-22 16:59:31
    /*
       Smarty.
    */
    //  
    function NewSmarty() {
      	require_once(SMARTY_DIR.'Smarty.class.php');
      	require_once(SMARTY_DIR.'DebugSmarty.class.php');
      	$sm = new DebugSmarty;
      	$sm->php_handling = SMARTY_PHP_ALLOW;
      	$sm->plugins_dir[] = SMARTY_DIR.'plugins';
      	$sm->plugins_dir[] = 'classes/smarty_plugins';
      	if($this->srvIsInstalled("VisualTheme"))
        	$sm->register_prefilter("visualSmartyProc");
      	$sm->assign('themeurl', $this->GetConfigValue("theme_url"));
      	$sm->assign('rooturl', $this->GetConfigValue("root_url"));
      	$sm->assign('today', date("Y-m-d"));
      	$sm->assign('yesterday', date("Y-m-d", mktime (0,0,0,date("m")  ,date("d")-1,date("Y"))));
      	$sm->assign('isadmin', $this->IsAdmin());
      	if($this->srvIsInstalled("AdvOntology")) {
         	$servOnto = $this->srvFactory("AdvOntology");
         	$sm->assign("curUserId", $servOnto->utilGetCurUserField("id"));
      	}
      	return $sm;
    }

	//   2012-01-22 17:05:40
    /*
     -      .!!  !!
    */
    // $sm (string) -  
    function smartyServicesPlugins($sm) {
      	$this->_currentSmarty = $sm;
      	$this->srvAllRunFile('smartyplugins');
    }

	//   2012-01-22 17:07:39
    /*
    !!-      !!
    */
    // $html1 (text) - html-
    function smartyWrapImages($html1) {
      	$html = str_replace('<img src="i','<img src="'.$this->GetConfigValue('theme_url').'i',$html1);
      	$html = str_replace('<img src="I','<img src="'.$this->GetConfigValue('theme_url').'I',$html);
      	$html = str_replace('background="i','background="'.$this->GetConfigValue('theme_url').'i',$html);
      	$html = str_replace('background="I','background="'.$this->GetConfigValue('theme_url').'I',$html);
      	$html = str_replace('background-image: url(i','background-image: url('.$this->GetConfigValue('theme_url').'i',$html);
      	$html = str_replace('background-image: url(I','background-image: url('.$this->GetConfigValue('theme_url').'I',$html);
      	return $html;
    }


/***********************************kernel/forms***********************************/

	//   2012-01-22 17:15:27
    /*
       .
    */
    //  
	function FormClose(){
   		return "</form>\n";
	}

	//   2012-01-23 15:06:04
    /*
       .
    */
    // [$method] (string) - 
    // [$tag] (string) -  
    // [$formMethod] (POST||GET) -  
    // [$formname] (string) -  
    // [$formMore] (string) -   
	function FormOpen($method = "", $tag = "", $formMethod = "post", $formname="", $formMore=""){
   		$add = isset( $_REQUEST["add"] ) ? $_REQUEST["add"] : '';
   		$result = "<form action=\"".$this->href($method, $tag, "", $add)."\" ".$formMore." method=\"".$formMethod."\" ".($formname?"name=\"".$formname."\" ":"").">\n";
   		if (!$this->config["rewrite_mode"])
   			$result .= "<input type=\"hidden\" name=\"wakka\" value=\"".$this->MiniHref($method, $tag, $add)."\" />\n";
   		return $result;
 	}


/***********************************kernel/toc***********************************/

	//   2012-01-23 01:21:21
    /*
    !!?!!
    */
    // $toc (array) - ?
 	function SetTocArray( $toc ){
   		$this->body_toc = "";
   		foreach($toc as $k=>$v)
    		$toc[$k] = implode("<poloskuns,col>", $v);
   		$this->body_toc = implode("<poloskuns,row>", $toc);
 	}

	//   2012-01-23 01:25:25
    /*
    !!?!!
    */
    // $tag (sring) -  
    // $from (sring) -   h
    // $to (sring) -   h
    // $num (int) - ?? 
    // $link (?) - ?
 	function BuildToc( $tag, $from, $to, $num, $link=-1 ){
   		if (isset($this->tocs[ $tag ])) 
   			return $this->tocs[ $tag ];
   		$page = $this->LoadPage( $tag );
   		if ($link === -1)
    		$_link = ($this->page["tag"] != $page["tag"])?$this->Href("",$page["tag"]):"";
    	else 
    		$_link = $link;
   		$toc = explode( "<poloskuns,row>", $page["body_toc"] );
   		foreach($toc as $k=>$v)
    		$toc[$k] = explode("<poloskuns,col>", $v);
   		$_toc = array();
   		foreach($toc as $k=>$v)
    		if ($v[2] == 99999){
      			if (!in_array($v[0],$this->toc_context))
       				if (!($v[0] == $this->tag)){
         				array_push($this->toc_context, $v[0]);
         				$_toc = array_merge( $_toc, $this->BuildToc( $v[0], $from, $to, $num, $link ) );
         				array_pop($this->toc_context);
       				}
    		}else
    			if ($v[2] == 77777){
      				$toc[$k][3] = $_link;
      				$_toc[] = &$toc[$k];
    			}else
    				if (($v[2] >= $from) && ($v[2] <= $to)){
						$toc[$k][3] = $_link;
					    $_toc[] = &$toc[$k];
					    $toc[$k][1] = $this->Format($toc[$k][1], "post_wacko");
    				}
   		$this->tocs[ $tag ] = $_toc;
   		return $_toc;
 	}

	//   2012-01-23 01:27:46
    /*
    !!?!!
    */
    // $matches (?) - ?
 	function NumerateTocCallbackToc( $matches ){
   		return '<a name="'.$matches[2].'"></a><h'.$matches[3].'>'.
          		($this->post_wacko_toc_hash[$matches[2]][1]?$this->post_wacko_toc_hash[$matches[2]][1]:$matches[4]).
          		'</h'.$matches[3].'>';
 	}

	//   2012-01-23 01:28:51
    /*
    !!?!!
    */
    // $matches (?) - ?
 	function NumerateTocCallbackP( $matches ){
   		$before=""; 
   		$after="";
   		if (!($style = $this->paragrafica_styles[ $this->post_wacko_action["p"] ])){ 
   			$this->post_wacko_action["p"] = "before";
     		$style = $this->paragrafica_styles[ "before" ];
   		}
   		$len = strlen("".$this->post_wacko_maxp);
   		$link = '<a href="#'.$matches[2].'">'.
           		str_pad($this->post_wacko_toc_hash[$matches[2]][66],$len,"0",STR_PAD_LEFT).
           		'</a>';
   		foreach ( $this->paragrafica_patches[ $this->post_wacko_action["p"] ] as $v )
    		$style[$v] = str_replace( "##", $link, $style[$v] );

   		return $style["_before"].'<a name="'.$matches[2].'"></a><p'.$matches[3].'>'.
          		$style["before"].$matches[4].$style["after"].
          		'</p>'.$style["_after"];
 	}

	//   2012-01-23 15:20:23
    /*
    !!?!!
    */
    // $what (?) - ?
function NumerateToc( $what ) {
 		// numerating toc using prepared "$this->post_wacko_toc"
 		if (!is_array($this->post_wacko_action)) return $what;
   		// #1. hash toc
   		$hash = array();
   		foreach( $this->post_wacko_toc as $v )
    		$hash[ $v[0] ] = $v;
   		$this->post_wacko_toc_hash = &$hash;
   		if ($this->post_wacko_action["toc"]){
     		// #2. find all <a></a><hX> & guide them in subroutine
     		//     notice that complex regexp is copied & duplicated in formatters/paragrafica (subject to refactor)
     		$what = preg_replace_callback( "!(<a name=\"(h[0-9]+-[0-9]+)\"></a><h([0-9])>(.*?)</h\\3>)!i",
             		array( &$this, "NumerateTocCallbackToc"), $what );
   		}
   		if ($this->post_wacko_action["p"]){
	     	// #2. find all <a></a><p...> & guide them in subroutine
	     	//     notice that complex regexp is copied & duplicated in formatters/paragrafica (subject to refactor)
     		$what = preg_replace_callback( "!(<a name=\"(p[0-9]+-[0-9]+)\"></a><p([^>]+)>(.+?)</p>)!is",
             		array( &$this, "NumerateTocCallbackP"), $what );
   		}
   		return $what;
 	}


/***********************************kernel/download***********************************/

	//   2012-01-23 00:12:33
    /*
      ?
    */
    //  
    function IsDownloadXML() {
    	return $this->method == "download.xml";
    }

	//   2012-01-23 00:14:39
    /*
         .     ##FinishDownloadFile##. ,    ##StartDownloadFile##  ##FinishDownloadFile##   .
    */
    // $filename (string) -  
    // $contentType (string) -     
    function StartDownloadFile($filename, $contentType = "application/download") {
    	header("Cache-control: private");
        header("Content-Type: ".$contentType);
        header("Content-Disposition: attachment; filename=".$filename);
        ob_start();
    }

	//   2012-01-23 00:16:58
    /*
       .
    */
    //  
    function FinishDownloadFile() {
		$output = ob_get_contents();
     	ob_end_clean();
     	$this->downloadXMLfile = $output;
    }

}
    //   
    global $crossSiteName;
    $cacheFileName = 'sites/'.$crossSiteName.'/cache_events/_autoinc.php';
    if(!file_exists($cacheFileName)) {
       $fd = fopen($cacheFileName,'w+');
       fwrite($fd,"<?php\n");
       fwrite($fd,"  // This is an autogenerated file for add autoinc files (see classes/extension.php (end))\n");

       $dir_pointer=opendir('classes/autoinc');
       while ($res = readdir($dir_pointer)) {
         if(strstr($res,'.php')) {
            fwrite($fd,"  require_once('".'classes/autoinc/'.$res."');\n");
         }
       }

       fwrite($fd,"?>");
       fclose($fd);
    }
    include($cacheFileName);

?> 
