<?php
class DebugSmarty extends Smarty
{
    function fetch($resource_name, $cache_id = null, $compile_id = null, $display = false) {
       global $kernel;
       if ($kernel->GetConfigValue("debug")>=2) {
           $start = $kernel->GetMicroTime();
           $kernel->includeLog[] = array(
          "query"   => $kernel->includeFor.'(SMARTY fetch!) '.$resource_name,
          "time"    => "(opened)");
          $kernel->includeFor .= '. .';
       }
       $res =  parent::fetch($resource_name, $cache_id, $compile_id, $display);
       if($kernel->GetConfigValue("debug")>=2) {
          $kernel->includeFor = substr($kernel->includeFor,0,-3);
          $time = $kernel->GetMicroTime() - $start;
          $kernel->includeLog[] = array(
          "query"   => $kernel->includeFor.'(SMARTY fetch!) '.$resource_name,
          "time"    => $time);
      }

       return $res;

    }


}
?>
