<?php

function array_to_str ($arr, $name="") {
 $str = "\$wakkaConfig".($name?"[\"".$name."\"]":"")." = array(\n";
 foreach ($arr as $k => $v)
 {
   if (is_array($v))
    $arrays .= array_to_str($v, $k);
   else
    $entries .= "\t\"".$k."\" => \"".str_replace("\n","\\n",$v)."\",\n";
 }
 $str .= $entries.");\n";
 $str .= $arrays;
 return $str;
}

function f_copy($dir, $dest){
   if ($open = opendir($dir)){
       while (false !== ($file = readdir($open)))
             if ($file != "." && $file != "..")
                 if (!is_dir($dir ."/". $file)){
                 	copy($dir."/".$file, $dest."/".$file);
                 }else{
                  	mkdir($dest."/".$file, 0777);
                  	chmod($dest."/".$file, 0777);
                  	//     ,       :
                  	f_copy($dir."/".$file, $dest."/".$file);
                 }
       closedir($open);
   }
   return true;
}


if(!file_exists('sites/'.$crossSiteName))
   test($lang["CreatingSiteFolder"].$crossSiteName.'...',   @mkdir('sites/'.$crossSiteName, 0777), 'Please, create '.$crossSiteName.' yourself', 0);
@chmod('sites/'.$crossSiteName,0777);
test($lang["CopySiteFolder"],   @f_copy('sites/site_template','sites/'.$crossSiteName), 'Please, copy template yourself', 0);

// fetch config
$config = $config2 = unserialize($_POST["config_s"]);

if (!$wakkaConfig["wacko_version"]) $config["cookie_prefix"] = $config["table_prefix"];
//$config["default_bookmarks"] = $lang["default_bookmarks"];
//$config["site_bookmarks"] = $lang["site_bookmarks"];
//if (!$wakkaConfig["wacko_version"]) $config["aliases"] = array("Admins" => $config["admin_name"]);


// merge existing configuration with new one
$config = array_merge((array)$wakkaConfig, (array)$config);


// set version to current version, yay!
$config["wakka_version"] = WAKKA_VERSION;
$config["wacko_version"] = WACKO_VERSION;

// convert config array into PHP code
$configCode = "<?php\n// wakka.config.php ".$lang["writtenAt"].strftime("%c")."\n// ".$lang["dontchange"]."\n\n";
$configCode .= array_to_str($config)."\n?>";

// try to write configuration file
//echo $lang["writing"];
test($lang["Writing2"]." <tt>".$wakkaConfigLocation."</tt>...", $fp = @fopen($wakkaConfigLocation, "w"), "", 0);

if ($fp)
{
  fwrite($fp, $configCode);
  // write
  fclose($fp);


         // Try and make it non-writable
         @chmod("sites/".$wakkaConfigLocation, 0644);
         $perm_changed = !is__writable("sites/".$wakkaConfigLocation);

         //print("            <li>".$lang["RemovingWritePrivilege"]." - ".output_image(true)."</li>\n");
         print("            <li>".$lang["RemovingWritePrivilege"]." - ".output_image($perm_changed))."</li>\n";
         print("         </ul>\n");

         print("         <h2>".$lang["SecurityConsiderations"]."</h2>\n");
         print("         <ul class=\"security\">\n");

         if(!$perm_changed)
            {
               print("            <li>".$lang["SecurityRisk"]."</li>\n");
            }

         print("            <li>".$lang["RemoveSetupDirectory"]."</li>\n");

         print("         </ul>\n");

         print("         <br /><p>".str_replace("%1", $config["base_url"], $lang["InstallationComplete"])."</p>\n");
      }
   else
      {
         // Problem saving file
         print(output_image(false)."</li>\n");
         print("         </ul>\n");

         print("         <h2>".$lang["SecurityConsiderations"]."</h2>\n");
         print("         <ul class=\"security\">\n");
         print("            <li>".str_replace("%1", $wakkaConfigLocation, $lang["ErrorGivePrivileges"])."</li>\n");
         print("            <li>".$lang["RemoveSetupDirectory"]."</li>\n");
         print("         </ul>\n");
?>
         <form action="<?php echo myLocation() ?>?installAction=write-config" method="post">
            <input type="hidden" name="config_s" value="<?php echo htmlspecialchars(serialize($config2)) ?>" />
            <input type="hidden" name="config[language]" value="<?php echo $config["language"]; ?>" />
            <input type="submit" value="<?php echo $lang["TryAgain"];?>" class="next" />
         </form>
<?php
         print("         <div class=\"config_code\"><pre>".htmlentities($configCode)."</pre></div>\n");
      }
?>         <br />
